﻿<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HLPLogin.aspx.cs" Inherits="Seven.DSS.HLPLogin" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Seven Ayuda - Inicio y Cierre de la Sesión</title>
    
    <!-- #include file="JS_CSS.html" -->

    <script type="text/javascript">
        $(document).ready(function () {
            $("#SevenMenu").accordion("option", "active", 4);
        });
    </script>

    <style type="text/css">
        .HLPImagen
        {
           padding:1px;
           border:1px solid #021a40;
        }
    </style>
        
</head>
<body>
    <div id="wrap">
        
        <div id="contenido">
        
            <!-- #include file="Accordion.html" -->
            
            <div id="cuerpo">
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <a href="Contenidos.aspx">Contenidos</a>
                    <img src="../img/arrow.png" alt="" />
                    <a href="HLPLogin.aspx">Inicio y Cierre de la Sesión</a>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 700px; height: 1000px;">

                            <br />

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo">Inicio y Cierre de la Sesión</span>
                                    </td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="../Login.aspx" id="A1" ><img src="../img/sitemap-application.png" /> Ir al Módulo</a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">En esta página encontrará ayuda para iniciar sesión en Seven DSS.</p>

                            <table width="100%"><tr><td align="center">
                            <img class="HLPImagen" src="img/S_Login.png"/>
                            </td></tr></table>
                            
                            <h3>Para Iniciar Sesión... :</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Ingrese primero sus credenciales, luego las letras de la imagen
                            de verificación CAPTCHA en caso de estar habilitado. En la parte inferior debe elegir la entidad y el dominio en el cual desea entrar.</p>

                            <h3>He olvidado mi Usuario / Contraseña:</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Le deberá solicitar al usuario administrador de Seven Managament
                            que le otorgue un usuario y/o contraseña nueva.</p>

                            <h3>No se inicia la sesión con las credenciales correctas :</h3>

                            <p style="font-size: 12pt; white-space: normal;" align="justify">Esto puede deberse a una de las siguientes razones:
                                <ul>
                                    <li style="font-size: 12pt;">No está autorizado para entrar a Seven DSS.</li>
                                    <li style="font-size: 12pt;">No está autorizado para ingresar al dominio solicitado.</li>
                                    <li style="font-size: 12pt;">No está configurado el enlace entre Seven DSS y Seven Accounting en Seven Management.</li>
                                    <li style="font-size: 12pt;">No hay dominios de Seven DSS configurados en Seven Management.</li>
                                    <li style="font-size: 12pt;">No se dispone de acceso al servidor de bases de datos.</li>
                                </ul>
                            </p>

                            <h3>Datos del Módulo:</h3>

                            <div class="SevenEnlaces">
                                <table width="100%">
                                    <tr>
                                        <td width="30%"><b>Usuario </b><span class="error">*</span></td>
                                        <td width="70%">Nombre de usuario. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Contraseña </b><span class="error">*</span></td>
                                        <td width="70%">Contraseña secreta y personal del usuario. No debe revelarla nunca a otros. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Verificación (CAPTCHA) </b><span class="error">*</span></td>
                                        <td width="70%">Si está habilitado, debe ingresar las letras y números que aparecen
                                        <br />en la imágen. Esto le comprueba al sistema que es una persona y no un programa
                                        <br />o software el que está iniciando la sesión. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Entidad </b><span class="error">*</span></td>
                                        <td width="70%">Escoger la entidad donde está el dominio al que desea entrar. </td>
                                    </tr>
                                    <tr>
                                        <td width="30%"><b>Dominio: </b><span class="error">*</span></td>
                                        <td width="70%">Escoger el dominio de la entidad al cual desea ingresar. </td>
                                    </tr>
                                </table>
                            </div>
                            <table width="100%">
                                <tr>
                                    <td colspan="2" align="right"><span class="error">* Requerido</span></td>
                                </tr>
                            </table>
                            
                        </div>
                    
                    </div>
                
                </div>

                <!-- #include file="StatusBarLogin.html" -->
            
            </div>
        
        </div>
    
    </div>
</body>
</html>
