﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="Configuracion.aspx.cs" Inherits="Seven.DSS.Configuracion" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title><%=L.LBL("LblGENConfiguracion") %></title>
    
    <script type="text/javascript">

    </script>
    
    <script type="text/javascript">

        $(document).ready(function () {

            $("#EnlaceMaestro").focus();

            $('#cbTCTA').val(<%=elemento.AccCuentaEsp %>);

        });
    </script>
    
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="Configuracion.aspx"><%=L.LBL("LblGENConfiguracion") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 600px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.LBL("LblGENConfiguracion") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPConfiguracion.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <% 
                                if (CorrectoIns)
                                {    
                            %>

                                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                            <%  } %>

                            <% 
                                if (CorrectoMod)
                                {    
                            %>

                                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                            <%  } %>

                            <% 
                                if (CorrectoEli)
                                {    
                            %>

                                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                            <%  } %>

                            <% 
                                if (!String.IsNullOrEmpty(ErrorMsg))
                                {    
                            %>

                                <p class="SevenMsgError"><% Response.Write(ErrorMsg); %></p>

                            <%  } %>
                            
                            
                            
                            <div id="Formulario">

                            
                                
                                
                                <form id="MainForm" action="Configuracion.aspx<%  Response.Write("?d=0"); 
                                                                 if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                 { 
                                                                    Response.Write("&p=" + Request.QueryString["p"]); 
                                                                 }else{
                                                                    Response.Write("&p=1"); 
                                                                 }
                                                                 if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                 { 
                                                                    Response.Write("&q=" + Request.QueryString["q"]); 
                                                                 }else{
                                                                    Response.Write("&q="); 
                                                                 }%>" method="POST">
                                
                                    <table width="100%">
                                        <tr>
                                            <td colspan="2">
                                                <h3><%=L.LBL("LblGENGeneral") %></h3>
                                            </td>
                                        </tr>
                                        <tr>
	                                        <td>Accounting - Tipo de Cuenta Predeterminada<span class="error"> * </span>: </td>
	                                        <td>
                                                <%=cbTCTA %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <h3><%=L.LBL("LblGENSystemSecurity") %></h3>
                                            </td>
                                        </tr>
                                        <tr>
	                                        <td><%=L.LBL("LblGENUseCAPTCHA") %>: </td>
	                                        <td>
		                                        <input type="radio" name="rbCaptcha" value="1" <% if(elemento.Captcha){ %> checked="checked" <% } %>/> <%=L.LBL("LblGENYes") %>
                                                <input type="radio" name="rbCaptcha" value="0" <% if(!elemento.Captcha){ %> checked="checked" <% } %>/> <%=L.LBL("LblGENNo") %>
	                                        </td>
                                        </tr>
                                        <tr>
                                            <td colspan="2">
                                                <%=L.LBL("LblGENCAPTCHAWarning") %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="4">
                                                <table width="100%">
                                                    <tr>
                                                        <td width="100%"></td>
                                                        <td>
                                                            <button type="submit">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <img src="img/disk.png" alt="Guardar" />
                                                                            </td>
                                                                            <td><%=L.LBL("LblGENSave") %></td>
                                                                       </tr>
                                                                   </table>
                                                            </button>
                                                        </td>
                                                        <td>
                                                            <button type="button" onclick="window.location.href='<% Response.Write(Request.Url.Authority); %>/Configuracion.aspx<%  Response.Write("?d=0"); 
                                                                                                                                                                                                        if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                                                                                                                                                        { 
                                                                                                                                                                                                            Response.Write("&p=" + Request.QueryString["p"]); 
                                                                                                                                                                                                        }else{
                                                                                                                                                                                                            Response.Write("&p=1"); 
                                                                                                                                                                                                        }
                                                                                                                                                                                                        if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                                                                                                                                                        { 
                                                                                                                                                                                                            Response.Write("&q=" + Request.QueryString["q"]); 
                                                                                                                                                                                                        }else{
                                                                                                                                                                                                            Response.Write("&q="); 
                                                                                                                                                                                                        }%>'">
                                                                    <table><tr><td><img src="img/arrow-return-180-left.png" alt="Cancelar" /></td><td><%=L.LBL("LblGENCancel") %></td></tr></table>
                                                            </button>
                                                        </td>
                                                        <td>
                                                            <button type="button" onclick="window.location.href='<% Response.Write(Request.Url.Authority); %>/Inicio.aspx'" >
                                                                    <table><tr><td><img src="img/cross.png" alt="Salir" /></td><td><%=L.LBL("LblGENExit") %></td></tr></table>
                                                            </button>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                
                                </form>
                                
                            
                            </div>
                            
                            
                            
                            
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>

