﻿<%@ Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontHistFolios.aspx.cs" Inherits="Seven.DSS.RPTFrontHistFolios" %>


<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>FDK - <%=L.TIT("HistoricoFolios") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        <% /* JQ04 */%>

        <% /* Código del jqGrid para Tipos de Cobros */ %>

        function GetTC() {
            $.ajax({
                url: 'Servicio.svc/GetTipoCobrosCodigoJQGrid',
                data: {
                  "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                //beforeSend: function () {
                //    $('#dlgCargando1').dialog('open');
                //},
                success: function (json) {
                    //$('#dlgCargando1').dialog('close');
                    try {
                        $("#jqgTC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgTC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgTC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadGridTC() {

            var lselTC;
            var colMap = {};
            $("#jqgTC").jqGrid({
                datatype: 'local',
                height: 100,
                width: 200,
                colNames: ['<%=L.LBL("LblGENTipoCobro") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 100 }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselTC) && !isNaN(id)) {
                            $("#jqgTC").jqGrid('delRowData', lselTC);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgTC").jqGrid('getRowData', id);

                            $('#jqgTC').jqGrid('restoreRow', lselTC);

                            $('#IdSubElementTC').val(ret.Id);

                        }

                        $('input[name=cbFil_cod_tcob]').prop('checked', true);

                        lselTC = id;
                    }
                },
                //afterInsertRow: function (id) { },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgTC').jqGrid('restoreRow', id);
                        }
                    }
                },
                //gridComplete: function () { },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
            });

        }

        function RefreshGridTC() {
            $("#jqgTC").jqGrid("setGridParam", { datatype: "json", datatype: GetTC, loadonce: true });
            $("#jqgTC").trigger("reloadGrid");
            $("#jqgTC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ05 */%>

        <% /* Código del jqGrid para Tipos de Habitaciones */ %>

        function GetTH() {
            $.ajax({
                url: 'Servicio.svc/GetTipoHabitacionesCodigoJQGrid',
                data: {
                    "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                //beforeSend: function () {
                //    $('#dlgCargando1').dialog('open');
                //},
                success: function (json) {
                    //$('#dlgCargando1').dialog('close');
                    try {
                        $("#jqgTH").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgTH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgTH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadGridTH() {

            var lselTH;
            var colMap = {};
            $("#jqgTH").jqGrid({
                datatype: 'local',
                height: 100,
                width: 200,
                colNames: ['<%=L.LBL("LblGENTipoHab") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 100 }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselTH) && !isNaN(id)) {
                            $("#jqgTH").jqGrid('delRowData', lselTH);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgTH").jqGrid('getRowData', id);

                            $('#jqgTH').jqGrid('restoreRow', lselTH);

                            $('#IdSubElementTH').val(ret.Id);
                        }

                        $('input[name=cbFil_refer_thab]').prop('checked', true);

                        lselTH = id;
                    }
                },
                //afterInsertRow: function (id) { },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgTH').jqGrid('restoreRow', id);
                        }
                    }
                },
                //gridComplete: function () { },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
            });

        }

        function RefreshGridTH() {
            $("#jqgTH").jqGrid("setGridParam", { datatype: "json", datatype: GetTH, loadonce: true });
            $("#jqgTH").trigger("reloadGrid");
            $("#jqgTH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontHistFolios.aspx?op=' + $('#cbDatosFront').val();
        }

        function HistoricoFolios()
        {
            window.open("Informe.aspx?r=199"
                + "&m=" + $('input[name=rbOrden]:checked').val()
                + "&s=" + $('#txtFecIni').val()
                + "&f=" + $('#txtFecFin').val()
                + "&e=" + $('#cbACCEmpresa').val()
                + "&fk=" + $("input[name=cbFil_cod_tcob]:checked").val() + "&vk=" + $("#jqgTC").jqGrid('getGridParam', 'selarrrow').toString()
                + "&fh=" + $("input[name=cbFil_refer_thab]:checked").val() + "&vh=" + $("#jqgTH").jqGrid('getGridParam', 'selarrrow').toString()
                + "&fo=" + $("input[name=cbFil_id_oper]:checked").val() + "&vo=" + $('#cbOperador').val()
                + "&ff=" + $("input[name=cbFil_nro_factura]:checked").val() + "&vf=" + $('#txtFil_nro_factura').val() + "&vf2=" + $('#txtFil_nro_factura2').val()
                + "&fr=" + $("input[name=cbFil_nro_recibo]:checked").val() + "&vr=" + $('#txtFil_nro_recibo').val() + "&vr2=" + $('#txtFil_nro_recibo2').val()
                + "&fn=" + $("input[name=cbFil_notas]:checked").val() + "&vn=" + $('input[name=rbNotas]:checked').val()
                + "&c=" + $('#cbMoneda').val()
                + "&t=" + $('#txtTasa').val()
                + "&am=" + $('#cbAgrupMone:checked').val()
            );
        }

        function CargarTasa()
        {
            $('#txtTasa').val($('#HID_MO_tasa_' + $('#cbMoneda').val()).val())
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgFiltro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 400,
                width: 470,
                modal: true
            });

            LoadGridTC();
            LoadGridTH();

            RefreshGridTC();
            RefreshGridTH();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

            CargarTasa();

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTFrontHistFolios.aspx">FDK - <%=L.TIT("HistoricoFolios") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 500px; height: 350px;">

                            <div id="dlgFiltro" title="<%=L.LBL("LblGENFilterBy") %>" style="text-align: center; padding-top: 25px">
                                <table>
                                    <tr>
                                        <td>
                                            <table style="text-align: left;">
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbFil_cod_tcob" name="cbFil_cod_tcob" value="1" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENTipoCobro") %>:</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <input type="hidden" id="IdSubElementTC" value="0" />
                                                        <table id="jqgTC"></table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <br />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbFil_refer_thab" name="cbFil_refer_thab" value="1" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENRoomType") %>:</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <input type="hidden" id="IdSubElementTH" value="0" />
                                                        <table id="jqgTH"></table>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td>
                                            <table style="text-align: left;">
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbFil_id_oper" name="cbFil_id_oper" value="1" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENUser") %>:
                                                    </td>
                                                    <td>
                                                        <%=cbOperador %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <br />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbFil_nro_factura" name="cbFil_nro_factura" value="1" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENFactura") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFil_nro_factura" value="0" onchange="$('input[name=cbFil_nro_factura]').prop('checked', true);" style="width: 100px;" /><br />
                                                        <input type="text" id="txtFil_nro_factura2" value="0" onchange="$('input[name=cbFil_nro_factura]').prop('checked', true);" style="width: 100px;" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <br />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbFil_nro_recibo" name="cbFil_nro_recibo" value="1" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENRecibo") %>:
                                                    </td>
                                                    <td>
                                                        <input type="text" id="txtFil_nro_recibo" value="0" onchange="$('input[name=cbFil_nro_recibo]').prop('checked', true);" style="width: 100px;" /><br />
                                                        <input type="text" id="txtFil_nro_recibo2" value="0" onchange="$('input[name=cbFil_nro_recibo]').prop('checked', true);" style="width: 100px;" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <br />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbFil_notas" name="cbFil_notas" value="1" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENNotas") %>:
                                                    </td>
                                                    <td>
                                                        <input type="radio" name="rbNotas" value="0" onclick="$('input[name=cbFil_notas]').prop('checked', true);" checked="checked" />Todo<br />
                                                        <input type="radio" name="rbNotas" value="1" onclick="$('input[name=cbFil_notas]').prop('checked', true);" />Débito<br />
                                                        <input type="radio" name="rbNotas" value="2" onclick="$('input[name=cbFil_notas]').prop('checked', true);" />Crédito
                                                    </td>
                                                </tr>
                                            </table>

                                            <br />
                                            <br />
                                            <br />
                                            <br />

                                            <table width="100%">
                                                <tr>
                                                    <td colspan="4">
                                                        <table width="100%">
                                                            <tr>
                                                                <td width="100%"></td>
                                                                <td>
                                                                    <button type="button" id="btnFiltrar2" onclick="$('#dlgFiltro').dialog('close');">
                                                                        <table>
                                                                            <tr>
                                                                                <td>
                                                                                    <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" />
                                                                                </td>
                                                                                <td><%=L.LBL("LblGENFiltrar") %></td>
                                                                            </tr>
                                                                        </table>
                                                                    </button>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>

                                        </td>
                                    </tr>
                                </table>
                            </div>

                            <div id="HiddenHive">
                                <div id="hidMonedas">
                                    <%=hidMonedas %>
                                </div>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("HistoricoFolios") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosFront %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTFrontHistFolios.aspx?op=' + $('#cbDatosFront').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            <% /* B02 */ %>

                            <div style="width: 100%; text-align: center;">
                                <h3 style="font-size: 11pt;"><%=L.LBL("LblFDKHFHistFoliosNotas") %></h3>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <%=L.LBL("LblGENStart") %>:
                                    </td>
                                    <td>
                                        <input type="text" id="txtFecIni" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" style="width: 80px;" />
                                    </td>
                                    <td>
                                        <%=L.LBL("LblGENEnd") %>:
                                    </td>
                                    <td>
                                        <input type="text" id="txtFecFin" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" style="width: 80px;" />
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <fieldset>
                                <legend><b><%=L.LBL("LblGENOrderBy") %></b></legend>

                                <input type="radio" name="rbOrden" value="0" /><%=L.LBL("LblGENOrigen") %> / <%=L.LBL("LblFDKOFNroFolio") %><br />
                                <input type="radio" name="rbOrden" value="1" /><%=L.LBL("LblFDKOFNroFolio") %><br />
                                <input type="radio" name="rbOrden" value="2" /><%=L.LBL("LblFDKHFMonedaFacturacion") %><br />
                                <input type="radio" name="rbOrden" value="3" /><%=L.LBL("LblGENFormaPago") %><br />
                                <input type="radio" name="rbOrden" value="4" checked="checked" /><%=L.LBL("LblFDKHFDiaActualFormaPago") %><br />
                                <input type="radio" name="rbOrden" value="5" /><%=L.LBL("LblGENNroFact") %><br />
                                <input type="radio" name="rbOrden" value="6" /><%=L.LBL("LblFDKHFNumHabiFETari") %><br />
                                <input type="radio" name="rbOrden" value="7" /><%=L.LBL("LblFDKHFDetallado") %>&nbsp;&nbsp;
                                <input type="checkbox" id="cbAgrupMone" value="1" /><%=L.LBL("LblGENAgrupadoMoneda") %><br /><br /><br />
                                <br />
                                <% if (Debug) { %>
                                <fieldset>
                                    <table>
                                        <tr>
                                            <td rowspan="2"><input type="radio" name="rbOrden" value="8" /></td>
                                            <td colspan="4">
                                                <%=L.LBL("LblFDKHFImpuestosD151") %>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td><%=L.LBL("LblGENMoney") %>:</td>
                                            <td>
                                                <%=cbMoneda %>
                                            </td>
                                            <td><%=L.LBL("LblGENTipoCambio") %>:</td>
                                            <td>
                                                <input type="text" id="txtTasa" value="<%=string.Format("{0:N8}", 1) %>" style="width: 100px;" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                                <br />
                                <% } %>
                            </fieldset>

                            <br />

                            <table>
                                <tr>
                                    <td>
                                        <%=L.LBL("LblGENEmpresaContable") %>:
                                    </td>
                                    <td>
                                        <%=cbACCEmpresa %>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table width="100%">
                                <tr>
                                    <td colspan="4">
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" id="btnFiltrar" onclick="$('#dlgFiltro').dialog('open');">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENFiltrar") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                                <td>
                                                    <button type="button" id="btnInforme" onclick="HistoricoFolios();">
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                                </td>
                                                                <td><%=L.LBL("LblGENPrint") %></td>
                                                            </tr>
                                                        </table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
