﻿<%@ Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontReRo.aspx.cs" Inherits="Seven.DSS.RPTFrontReRo" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>FDK - <%=L.TIT("ReservasRealizadas") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontReRo.aspx?op=' + $('#cbDatosFront').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

        <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTFrontReRo.aspx">FDK - <%=L.TIT("ReservasRealizadas") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1070px; height: 1000px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("ReservasRealizadas") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosFront %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTFrontReRo.aspx?op=' + $('#cbDatosFront').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="100%">
                                <tr>
                                    <td>Año: </td>
                                    <td>
                                        <input type="text" id="txtAno" name="txtAno" value="<% Response.Write(c.FrontAno); %>" />
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="$('#dlgCargando').dialog('open'); window.location.href='RPTFrontReRo.aspx?y=' + $('#txtAno').val();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td width="100%"></td>
                                </tr>
                            </table>

                            

                            <table>
                                <tr>
                                    <td style="background-color: white;">
                                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                                        </asp:ScriptManager>
                                        <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                            Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                            WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="800px" >
                                            <LocalReport ReportPath="Reports\FrontReRo.rdlc">
                                                <DataSources>
                                                    <rsweb:ReportDataSource DataSourceId="DSS1" Name="ReRo" />
                                                </DataSources>
                                            </LocalReport>
                                        </rsweb:ReportViewer>
                                        <asp:SqlDataSource ID="DSS1" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSFRONTREROMODEL"></asp:SqlDataSource>
                                    </td>
                                </tr>
                            </table> 

                            <table>
                                <tr>
                                    <td style="font-size: 12pt; text-align: justify;">
                                        <br />
                                        El reporte muestra reservas realizadas por operador donde “<b>Reservas</b>” corresponde según el manejo correcto del sistema a reservas de directos y <br />
                                        “<b>Rooming</b>” a reservas realizadas para agencias.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
