﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelACC.Master" AutoEventWireup="true" CodeBehind="CHARTAccEstRes.aspx.cs" Inherits="Seven.DSS.CHARTAccEstRes" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>ACC - <%=L.TIT("EstadoResultados") %> (<%=L.LBL("LblGENGrafico") %>)</title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <!--[if lt IE 9]><script language="javascript" type="text/javascript" src="excanvas.js"></script><![endif]-->
    <script language="javascript" type="text/javascript" src="js/jquery.jqplot.min.js"></script>
    <link rel="stylesheet" type="text/css" href="js/jquery.jqplot.css" />
    <script type="text/javascript" src="js/plugins/jqplot.dateAxisRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.canvasTextRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.categoryAxisRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.barRenderer.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.highlighter.min.js"></script>
    <script type="text/javascript" src="js/plugins/jqplot.pointLabels.js"></script>

    <script type="text/javascript">

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone, "IdEmpresa": $('#cbEmpresa').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    var tasa = parseFloat(json.d);
                    if(tasa == 1)
                    {
                        $("#txtTasa").attr('readonly','readonly');
                    }
                    else
                    {
                        $("#txtTasa").removeAttr('readonly');
                    }
                    jQueryUIOtraVez();
                }
            });
        };

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='CHARTAccEstRes.aspx?op=' + $('#cbDatosAcc').val();
        }

        function cargarTasa(mone) { 
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaAcc', 'ComboMoneda', mone);
        }

        function imprimirPopup(elem) {
            var div, imp;
            div = document.getElementById(elem);
            imp = window.open(" ", "Impresion");
            imp.document.open();
            imp.document.write("<html><head><link rel='stylesheet' type='text/css' href='<% Response.Write(Request.Url.Authority); %>/js/jquery.jqplot.css' />"
            + "</head><body>");
            imp.document.write(div.innerHTML);
            imp.document.write("</body></html>");
            imp.document.close();
            imp.print();
            imp.close();
        }

        function obtenerImagen() {
            var imgData = $('#grafico').jqplotToImageStr({});
            var imgElem = $('<img/>').attr('src', imgData);
            $('#ImagenGrafico').html('');
            $('#ImagenGrafico').append(imgElem);
            $("#dlgExportar").dialog('open');
        }

        (function ($) {
            $.jqplot.euroFormatter = function (format, val) {
                if (!format) {
                    format = '%.1f';
                }
                return '' + numberWithCommas($.jqplot.sprintf(format, val));
            };

            function numberWithCommas(x) {
                return x.toString().replace(/\B(?=(?:\d{3})+(?!\d))/g, ",");
            }
        })(jQuery);

        function CargarGrafico()
        {
            $('#dlgCargando').dialog('open'); 
            window.location.href='CHARTAccEstRes.aspx?b=' 
                + $('#cbEmpresa').val() 
                + '&e=' + $('#cbEjercicio').val() 
                /* + '&i=' + $('input:radio[name=rbTipoInforme]:checked').val() */ 
                + '&m=' + $('#cbMoneda').val() 
                + '&t=' + $('#txtTasa').val()
                + '&u=' + $('#cbUtilidadNeta:checked').val() 
                + '&i=' + $('#cbIngresos:checked').val() 
                + '&c=' + $('#cbCostos:checked').val() 
                + '&g=' + $('#cbGastos:checked').val() 
                //+ '&p=' + $('#cbPresupuesto:checked').val()
                + '&pi=' + $('#cbPresIngresos:checked').val()
                + '&pc=' + $('#cbPresCostos:checked').val()
                + '&pg=' + $('#cbPresGastos:checked').val()
                + '&k=' + $('input[name=rbTipo]:checked').val()
                + '&v=' + $('#cbVisualizarValores:checked').val() 
            ;
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgExportar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 550,
                width: 950,
                modal: true
            });

            $('#cbEmpresa').val(<% Response.Write(c.AccEmpresa); %>);
            $('#cbEjercicio').val(<% Response.Write(c.AccEjercicio); %>);
            $('#cbMoneda').val(<% Response.Write(c.AccMoneda); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            <% if(!String.IsNullOrEmpty(DataLines)){ %>

              <% Response.Write(DataLines); %>
 
              var plot1 = $.jqplot('grafico', [
                <% if(UtilidadNeta){ %>
                line1
                <% } %>
                <% if((UtilidadNeta && Ingresos)
                        || (UtilidadNeta && Costos)
                        || (UtilidadNeta && Gastos)
                        //|| (UtilidadNeta && Presupuesto)
                        || (UtilidadNeta && PresIngresos)
                        || (UtilidadNeta && PresCostos)
                        || (UtilidadNeta && PresGastos)
                        ){ %>
                , 
                <% } %>
                <% if(Ingresos){ %>
                line2
                <% } %>
                <% if((Ingresos && Costos)
                        || (Ingresos && Gastos)
                        //|| (Ingresos && Presupuesto)
                        || (Ingresos && PresIngresos)
                        || (Ingresos && PresCostos)
                        || (Ingresos && PresGastos)
                        ){ %>
                , 
                <% } %>
                <% if(Costos){ %>
                line3
                <% } %>
                <% if((Costos && Gastos)
                        //|| (Costos && Presupuesto)
                        || (Costos && PresIngresos)
                        || (Costos && PresCostos)
                        || (Costos && PresGastos)
                        ){ %>
                , 
                <% } %>
                <% if(Gastos){ %>
                line4
                <% } %>
                <% if(//(Gastos && Presupuesto)
                        /*||*/ (Gastos && PresIngresos)
                        || (Gastos && PresCostos)
                        || (Gastos && PresGastos)
                        ){ %>
                , 
                <% } %>
                <% /*if(Presupuesto){ */ %>
                //line5
                <% /*}*/ %>
                <% /*if ((Presupuesto && PresIngresos)
                        || (Presupuesto && PresCostos)
                        || (Presupuesto && PresGastos)
                        )
                   {*/ %>
                //, 
                <% /*}*/ %>
                <% if (PresIngresos)
                   {  %>
                line6
                <% } %>
                <% if ((PresIngresos && PresCostos)
                        || (PresIngresos && PresGastos)
                        )
                   { %>
                , 
                <% } %>
                <% if (PresCostos)
                   {  %>
                line7
                <% } %>
                <% if ((PresCostos && PresGastos)
                        ){ %>
                , 
                <% } %>
                <% if (PresGastos)
                   {  %>
                line8
                <% } %>
              ], {
                title: 'Estado de Resultados del Año Fiscal <%=Ejercicio + Moneda %><br /> (Los montos negativos en ingresos, costos o gastos representan sobregiros)',
                //series:[{renderer:$.jqplot.BarRenderer}],
                axesDefaults: {
                    tickRenderer: $.jqplot.CanvasAxisTickRenderer ,
                    tickOptions: {
                      angle: 0,
                      fontSize: '8pt'
                    }
                },
                axes: {
                  xaxis: {
                      renderer: $.jqplot.CategoryAxisRenderer
                  },
                  yaxis: {
                      tickOptions: {formatString:'%.2f', formatter: $.jqplot.euroFormatter}
                  }
                },
                <% if (!VisualizarValores) { %>
                highlighter: {
                show: true,
                    sizeAdjust: 7.5,
                    tooltipAxes: 'y'
                },
                <% } %>
                series:[
                      <% if(UtilidadNeta){ %>
                      {label:'Utilidad Neta', color: '#84D182'}
                      <% } %>
                      <% if ((UtilidadNeta && Ingresos)
                            || (UtilidadNeta && Costos)
                            || (UtilidadNeta && Gastos)
                            //|| (UtilidadNeta && Presupuesto)
                            || (UtilidadNeta && PresIngresos)
                            || (UtilidadNeta && PresCostos)
                            || (UtilidadNeta && PresGastos)
                            ){ %>
                      ,
                      <% } %>
                      <% if(Ingresos){ %> 
                      {label:'Ingresos', color: '#828BD1'}
                      <% } %>
                      <% if ((Ingresos && Costos)
                            || (Ingresos && Gastos)
                            //|| (Ingresos && Presupuesto)
                            || (Ingresos && PresIngresos)
                            || (Ingresos && PresCostos)
                            || (Ingresos && PresGastos)
                            ){ %>
                      , 
                      <% } %>
                      <% if(Costos){ %>
                      {label:'Costos', color: '#A482D1'}
                      <% } %>
                      <% if ((Costos && Gastos)
                            //|| (Costos && Presupuesto)
                            || (Costos && PresIngresos)
                            || (Costos && PresCostos)
                            || (Costos && PresGastos)
                            ){ %>
                      , 
                      <% } %>
                      <% if(Gastos){ %>
                      {label:'Gastos', color: '#ED6868'}
                      <% } %>
                      <% if (//(Gastos && Presupuesto)
                            /*||*/ (Gastos && PresIngresos)
                            || (Gastos && PresCostos)
                            || (Gastos && PresGastos)
                            ){ %>
                      , 
                      <% } %>
                      <% /*if(Presupuesto){*/ %>
                      //{label:'Presupuesto', color: 'orange'}
                      <% /*}*/ %>
                      <% /*if ((Presupuesto && PresIngresos)
                            || (Presupuesto && PresCostos)
                            || (Presupuesto && PresGastos)
                            ){*/ %>
                      //, 
                      <% /*}*/ %>
                      <% if(PresIngresos){ %>
                      {label:'Pres. Ingresos', color: '#61B3ED'}
                      <% } %>
                      <% if ((PresIngresos && PresCostos)
                            || (PresIngresos && PresGastos)
                            ){ %>
                      , 
                      <% } %>
                      <% if(PresCostos){ %>
                      {label:'Pres. Costos', color: '#7990F7'}
                      <% } %>
                      <% if ((PresCostos && PresGastos)
                         ){ %>
                      , 
                      <% } %>
                      <% if(PresGastos){ %>
                      {label:'Pres. Gastos', color: '#9D79F7'}
                      <% } %>
                ],
                <% if (VisualizarValores) { %>
                seriesDefaults: { 
                    pointLabels: { 
                        show: true,
                        location: 's',
                        ypadding : 5,
                        edgeTolerance: -20
                    } 
                },
                <% } %>
                legend: { show:true, location: 'ne', placement: 'outside' }
              });

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosAcc').val(<%=c.DatosACC %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }

        #grafico .jqplot-point-label {
            /*border: 1.5px solid #aaaaaa;*/
            color: black;
            padding: 1px 3px;
            /*background-color: #CCE4EE;*/
            font-size: 8pt;
            z-index: 0;
        }

        #grafico .jqplot-table-legend
        {
            font-size: 8pt;
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="CHARTAccEstRes.aspx">ACC - <%=L.TIT("EstadoResultados") %> (<%=L.LBL("LblGENGrafico") %>)</a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1100px; height: 730px;">

                            <div id="dlgExportar" title="Exportar a Imagen PNG" style="text-align: center;padding-top: 25px">
                                <table width="100%">
                                    <tr>
                                       <td width="100%">
                                            Para guardar la imagen del gráfico, de click derecho en el grafico y luego click en 'Guardar imagen como...':
                                       </td>
                                    </tr>
                                </table>
                                <br />
                                <div id="ImagenGrafico"></div>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("EstadoResultados") %> (<%=L.LBL("LblGENGrafico") %>)</span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosAcc %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='CHARTAccEstRes.aspx?op=' + $('#cbDatosAcc').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="500px;">
                                <tr>
                                    <td>
                                        Mostrar:
                                    </td>
                                    <td colspan="5">
                                        <table>
                                            <tr>
                                                <td><input type="checkbox" id="cbUtilidadNeta" value="true" <% if(UtilidadNeta){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #84D182;">Utilidad Neta</span></td>
                                                <td><input type="checkbox" id="cbIngresos" value="true" <% if(Ingresos){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #828BD1;">Ingresos</span></td>
                                                <td><input type="checkbox" id="cbCostos" value="true" <% if(Costos){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #A482D1;">Costos</span></td>
                                                <td><input type="checkbox" id="cbGastos" value="true" <% if(Gastos){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #ED6868;">Gastos</span></td>
                                                <!--<td><input type="checkbox" id="cbPresupuesto" value="true" <% /*if(Presupuesto){*/ %> checked="checked" <% /*}*/ %> /> <span style="font-weight: bold; color: orange;">Presupuesto</span></td>-->
                                                <td><input type="checkbox" id="cbPresIngresos" value="true" <% if(PresIngresos){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #61B3ED;">Pres. Ingresos</span></td>
                                                <td><input type="checkbox" id="cbPresCostos" value="true" <% if(PresCostos){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #7990F7;">Pres. Costos</span></td>
                                                <td><input type="checkbox" id="cbPresGastos" value="true" <% if(PresGastos){ %> checked="checked" <% } %> /> <span style="font-weight: bold; color: #9D79F7;">Pres. Gastos</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Empresa: </td>
                                    <td colspan="4">
                                        <%=cbEmpresa %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Ejercicio:</td>
                                    <td>
                                        <%=cbEjercicio %>
                                    </td>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    
                                </tr>
                                <tr>
                                    <td>Tipo: </td>
                                    <td>
                                        <input type="radio" name="rbTipo" value="0" <% if(c.AccEstResChartTipo == 0){ %> checked="checked" <% } %> /> Mensual
                                        <input type="radio" name="rbTipo" value="1" <% if(c.AccEstResChartTipo == 1){ %> checked="checked" <% } %> /> Acumulativo &nbsp;&nbsp;
                                    </td>
                                    <td>Tasa: </td>
                                    <td>
                                        <input type="text" id="txtTasa" name="txtTasa" <% if(c.AccTasa == 1){ %> readonly="readonly" <% } %> value="<% Response.Write(c.AccTasa); %>" />
                                    </td>
                                    <td>
                                        <input type="checkbox" id="cbVisualizarValores" name="cbVisualizarValores" <% if(c.VisualizarValores){ %> checked="checked" <% } %> value="1" />
                                    </td>
                                    <td>
                                        <b><%=L.LBL("LblGENVisualizarValores") %></b>
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="CargarGrafico();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td width="100%"></td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="obtenerImagen();" >
                                                        <table><tr><td><img src="img/image24.png" alt="Imagen" /></td><td>Exportar a Imagen PNG</td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <!--
                                <tr>
                                    
                                    <td>
                                        Tipo de Informe:
                                    </td>
                                    <td>
                                        <input type="radio" name="rbTipoInforme" value="2" <% if(c.AccTipoInforme == 2){ %> checked="checked" <% } %>/> Totalizado
                                        <input type="radio" name="rbTipoInforme" value="1" <% if(c.AccTipoInforme == 1){ %> checked="checked" <% } %>/> Resumido
                                        <input type="radio" name="rbTipoInforme" value="0" <% if(c.AccTipoInforme == 0){ %> checked="checked" <% } %> /> Detallado
                                    </td>
                                    <td width="100%"></td>
                                    
                                </tr>
                                -->
                            </table>

                            

                            <table>
                                <tr>
                                    <td>
                                        <div id="grafico" style="width:1100px; height:550px;"></div>
                                    </td>
                                </tr>
                            </table> 

                            <br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        Este reporte corresponde al grafico de la información del estado de resultados, permitiendo además de verlo mes a mes también de una forma acumulada.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
