﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelACC.Master" AutoEventWireup="true" CodeBehind="RPTAccEstado.aspx.cs" Inherits="Seven.DSS.RPTAccEstado" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>ACC - <%=L.TIT("SituacionModulo") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxPeriodo(link, elem, id, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdPeriodo": id, "Elegir": elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    $("#" + elem).html(json.d);
                    jQueryUIOtraVez();
                    document.getElementById('cbPeriodo').focus();
                }
            });
        };

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone, "IdEmpresa": $('#cbEmpresa').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) { 
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaAcc', 'ComboMoneda', mone);
        }

        function cargarComboPeriodos(id){
            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', id, 0);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTAccEstado.aspx?op=' + $('#cbDatosAcc').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbEmpresa').val(<% Response.Write(c.AccEmpresa); %>);
            $('#cbEjercicio').val(<% Response.Write(c.AccEjercicio); %>);
            $('#cbMoneda').val(<% Response.Write(c.AccMoneda); %>);

            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', <% Response.Write(c.AccEjercicio); %>, <% Response.Write(c.AccPeriodo); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosAcc').val(<%=c.DatosACC %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTAccEstado.aspx">ACC - <%=L.TIT("SituacionModulo") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1500px; height: 1000px;">

                            <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("SituacionModulo") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosAcc %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccEstado.aspx?op=' + $('#cbDatosAcc').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="100%">
                                <tr>
                                    <tr>
                                        <td>Empresa: </td>
                                        <td colspan="3">
                                            <%=cbEmpresa %>
                                        </td>
                                    </tr>
                                    <td>Ejercicio:</td>
                                    <td>
                                        <%=cbEjercicio %>
                                    </td>
                                    <td>
                                        <table width="100%">
                                            <tr>
                                                <td width="100%"></td>
                                                <td>
                                                    <button type="button" onclick="$('#dlgCargando').dialog('open'); window.location.href='RPTAccEstado.aspx?e=' + $('#cbEjercicio').val() + '&b=' + $('#cbEmpresa').val();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td width="100%"></td>
                                </tr>
                            </table>

                            

                            <table>
                                <tr>
                                    <td style="background-color: white;">
                                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                                        </asp:ScriptManager>
                                        <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                            Font-Size="8pt" InteractiveDeviceInfos="(Colección)"
                                            WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1500px" Height="500px" >
                                            <LocalReport ReportPath="Reports\AccEstado.rdlc">
                                                <DataSources>
                                                    <rsweb:ReportDataSource DataSourceId="DSS1" Name="AccEst" />
                                                </DataSources>
                                            </LocalReport>
                                        </rsweb:ReportViewer>
                                        <asp:SqlDataSource ID="DSS1" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCESTMODEL"></asp:SqlDataSource>
                                    </td>
                                </tr>
                            </table> 

                            <table>
                                <tr>
                                    <td style="font-size: 12pt; text-align: justify;">
                                        <br />
                                        El reporte le permite saber qué información aún no está reflejada por mes en los estados financieros y por consiguiente que tan al día está la <br />
                                        contabilidad.<br />
                                        
                                        <ul>
                                            <li><b>Front</b> son cifras de ingresos y depósitos bancarios de prepagos.</li>
                                            <li><b>Inventario</b> son cifras de costos de venta y gastos de suministros.</li>
                                            <li><b>Punto de Venta</b> son cifras de ingresos.</li>
                                            <li><b>Asientos Manuales</b> son cifras de movimientos normales en la contabilidad como lo son depreciaciones, registro de los cobros y pagos, <br />
                                            depósitos entre otros.</li>
                                        </ul>

                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
