﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelACC.Master" AutoEventWireup="true" CodeBehind="RPTAccExtrCuentas.aspx.cs" Inherits="Seven.DSS.RPTAccExtrCuentas" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>ACC - <%=L.TIT("LibroBancos") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function buscar() {
            var LB = 0;
            if($("#cbLibroBancos").is(':checked')) {  
                LB = 1;  
            }
            mostrarAjaxTabla('Servicio.svc/ConsultarPlanCuentasExtracto', 'TablaMaestra', 1, document.getElementById('txtBuscar').value, "<% Response.Write(Request.Url.Authority); %>", LB);
        }

        function pagina(numero, consulta) {
            var LB = 0;
            if($("#cbLibroBancos").is(':checked')) {  
                LB = 1;  
            }
            mostrarAjaxTabla('Servicio.svc/ConsultarPlanCuentasExtracto', 'TablaMaestra', numero, consulta, "<% Response.Write(Request.Url.Authority); %>", LB);
        }

        function paginaEnter(e, numero, consulta, maxpags) {

            if (e.keyCode == 13) {
                var pagina = numero;
                var paginaMax = maxpags;
                if((pagina >= 1) && (pagina <= paginaMax)){
                    var LB = 0;
                    if($("#cbLibroBancos").is(':checked')) {  
                        LB = 1;  
                    }
                    mostrarAjaxTabla('Servicio.svc/ConsultarPlanCuentasExtracto', 'TablaMaestra', numero, consulta, "<% Response.Write(Request.Url.Authority); %>", LB);
                }
            }
            
        }

        function TCTAComboEnabler()
        {
            if ($("#cbLibroBancos").is(":checked")) {
                $('#cbTCTA').prop('disabled', 'disabled');
            }
            else {
                $('#cbTCTA').prop('disabled', false);
            }
        }

        function mostrarMaestro() { 
            $("#dlgMaestro").dialog("open");
            var LB = 0;
            if($("#cbLibroBancos").is(':checked')) {  
                LB = 1;  
            }
            mostrarAjaxTabla('Servicio.svc/ConsultarPlanCuentasExtracto', 'TablaMaestra', <% if (!string.IsNullOrEmpty(Request.QueryString["p"]))
                                                                                   { 
                                                                                        Response.Write(Request.QueryString["p"]); 
                                                                                   }else{
                                                                                        Response.Write("1"); 
                                                                                   }%>
                                                                              , <% if (!string.IsNullOrEmpty(Request.QueryString["q"]))
                                                                                   { 
                                                                                        Response.Write("'" + Request.QueryString["q"] + "'"); 
                                                                                   }else{
                                                                                        Response.Write("' '"); 
                                                                                   }%>, "<% Response.Write(Request.Url.Authority); %>", LB);
        }
    
        function mostrarAjaxTabla(link, elem, pagina, consulta, dominio, LB)
        {
            var tcta = 0;
            if(LB == 0)
            {
                tcta = $('#cbTCTA').val();
            }
            $.ajax({
                type: "GET",
                url: link,
                data: { "Pagina": pagina, "Consulta": consulta, "Dominio": dominio, "CuentaEsp": tcta, "Empresa": $('#cbEmpresa').val(), "LibroBancos": LB
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"  },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    $("#" + elem).html(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function mostrarAjaxPeriodo(link, elem, id, elegir)
        {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdPeriodo" : id, "Elegir" : elegir
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"  },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    $("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    $("#" + elem).html(json.d);
                    jQueryUIOtraVez();
                    document.getElementById('cbPeriodo').focus();
                }
            });
        };

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone, "IdEmpresa": $('#cbEmpresa').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"  },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) {
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaAcc', 'ComboMoneda', mone);
        }

        function cargarComboPeriodos(id){
            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', id, 0);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTAccExtrCuentas.aspx?op=' + $('#cbDatosAcc').val();
        }

        function LibroBancos()
        {
            $('#dlgCargando').dialog('open'); 
            window.location.href='RPTAccExtrCuentas.aspx?b=' + $('#cbEmpresa').val() 
                + '&e=' + $('#cbEjercicio').val()
                + '&c=' + $('#IdSubElementCTA').val() 
                + '&s=' + $('#txtFecIni').val() 
                + '&f=' + $('#txtFecFin').val()
                + '&m=' + $('#cbLibroBancos:checked').val()
                + '&k=' + $('#cbTCTA').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgMaestro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 450,
                width: 700,
                modal: true
            });

            $('#cbEmpresa').val(<% Response.Write(c.AccEmpresa); %>);
            $('#cbEjercicio').val(<% Response.Write(c.AccEjercicio); %>);
            $('#cbMoneda').val(<% Response.Write(c.AccMoneda); %>);

            mostrarAjaxPeriodo('Servicio.svc/ConsultarPeriodosCombo', 'ComboPeriodo', <% Response.Write(c.AccEjercicio); %>, <% Response.Write(c.AccPeriodo); %>);

            $('#cbTCTA').val(<% Response.Write(config.AccCuentaEsp); %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.AccMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            <% if(c.AccExtrModo == 0) 
               { 
            %>
            $('#cbLibroBancos').prop('checked', false);
            <%
               } 
            %>

            $('#cbTCTA').val(<%=c.AccExtrTCTA %>);

            TCTAComboEnabler();

            $('#cbDatosAcc').val(<%=c.DatosACC %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTAccExtrCuentas.aspx">ACC - <%=L.TIT("LibroBancos") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 1000px; height: 1250px;">

                            <input type="hidden" id="IdSubElementCTA" value="<%=c.AccExtrCuenta %>" />

                            <div id="dlgMaestro" title="Buscar Cuentas" style="text-align: center;padding-top: 25px">
                                <table width="400">
                                    <tr>
                                       <td width="20%">
                                            Buscar:
                                       </td>
                                       <td width="50%">
                                            <input type="text" id="txtBuscar" onkeyup="buscar();" value="" size="53%"/>
                                       </td>
                                    </tr>
                                </table>
                                <br />
                                <div id="TablaMaestra"></div>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("LibroBancos") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td><%=L.LBL("LblBSDatos") %>: </td>
                                    <td>
                                        <%=cbDatosAcc %>
                                    </td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <input type="checkbox" id="cbLibroBancos" value="1" onclick="TCTAComboEnabler();" checked="checked" /> Modo Libro de Bancos
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccExtrCuentas.aspx?op=' + $('#cbDatosAcc').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            
                            <table width="60%">
                                <tr>
                                    <td>Empresa: </td>
                                    <td>
                                        <%=cbEmpresa %>
                                    </td>
                                    <td>Ejercicio:</td>
                                    <td>
                                        <%=cbEjercicio %>
                                    </td>
                                </tr>
                                <!--
                                <tr>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    <td>Tasa: </td>
                                    <td>
                                        <input type="text" id="txtTasa" name="txtTasa" value="<%=c.AccTasa %>" />
                                    </td>
                                </tr>
                                -->
                                <tr>
                                    <td>Desde: </td>
                                    <td>
                                        <input type="text" id="txtFecIni" name="txtFecIni" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.AccFecIni)); %>" />
                                    </td>
                                    <td>Hasta: </td>
                                    <td>
                                        <input type="text" id="txtFecFin" name="txtFecFin" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.AccFecFin)); %>" />
                                    </td>
                                </tr>
                                <%--<tr>
                                    <td>
                                        Tipo de Informe:
                                    </td>
                                    <td>
                                        <input type="radio" name="rbPorCobrar" value="1" <% if(c.AccPorCobrar == 1){ %> checked="checked" <% } %>/> Por Cobrar
                                        <input type="radio" name="rbPorCobrar" value="0" <% if(c.AccPorCobrar == 0){ %> checked="checked" <% } %> /> Por Pagar
                                    </td>
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTAccExtrCuentas.aspx?b=' + $('#cbEmpresa').val() + '&e=' + $('#cbEjercicio').val() + '&g=' + $('#cbPeriodo').val() 
                                            + '&i=' /*+ $('input:radio[name=rbPorCobrar]:checked').val()*/ + '&m=' + $('#cbMoneda').val() + '&t=' + $('#txtTasa').val();" >
                                                <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                        </button>
                                    </td>
                                    <td></td>
                                </tr>--%>
                                <tr>
                                    <td>Tipo de Cuenta: </td>
                                    <td>
                                        <%=cbTCTA %>
                                    </td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="#" onclick="mostrarMaestro();" id="A2" ><img src="img/seven_acc_catalogo_cuentas.png" /> Seleccionar Cuenta del Informe</a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>
                                        <button type="button" onclick="LibroBancos();" >
                                                <table><tr><td><img src="img/arrow-circle.png" alt="Ver" /></td><td>Recargar</td></tr></table>
                                        </button>
                                    </td>
                                </tr>
                            </table>

                            

                            <table>
                                <tr>
                                    <td style="background-color: white;">
                                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                                        </asp:ScriptManager>
                                        <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana" 
                                            Font-Size="8pt" InteractiveDeviceInfos="(Colección)" 
                                            WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="1000px" CssClass="NoScroll">
                                            <LocalReport ReportPath="Reports\AccExtractoCuentas.rdlc">
                                                <DataSources>
                                                    <rsweb:ReportDataSource DataSourceId="DSS1" Name="Extracto" />
                                                </DataSources>
                                            </LocalReport>
                                        </rsweb:ReportViewer>
                                        <asp:SqlDataSource ID="DSS1" runat="server" 
                                            ConnectionString="<%$ ConnectionStrings:SevenIPMConnectionString %>" 
                                            SelectCommand="SELECT * FROM DESYSACCEXTCTAMODEL"></asp:SqlDataSource>
                                    </td>
                                </tr>
                            </table> 

                            <table>
                                <tr>
                                    <td style="font-size: 12pt; text-align: justify;">
                                        <br />
                                        Este reporte contable le da la visión de los movimientos uno por uno que el contador registra en la contabilidad con respecto a una cuenta <br />
                                        seleccionada de banco.
                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
