﻿<%@ Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontDailyAnnual.aspx.cs" Inherits="Seven.DSS.RPTFrontDailyAnnual" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>FDK - <%=L.TIT("InformeDiarioAnual") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    jQueryUIOtraVez();
                }
            });
        };

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontDailyAnnual.aspx?op=' + $('#cbDatosFront').val();
        }

        function cargarTasa(mone) { 
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', mone);
        }

        <%

            DateTime HoteleraJS = DateTime.Today;
            try{

                Identidad iden = new Identidad(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))
                    , Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_NOM].Value), int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_DAT].Value))
                    , Request.ServerVariables["REMOTE_ADDR"]);

                HoteleraJS = Seven.DSS.Business.Logica.ConsultarFechaHotelera(iden);
            }
            catch(Exception){ }
        
         %>

        function ValidarFechaMenorHotelera()
        {
            var tempi = $("#txtFechaPronost").val();
            return ValidarFechaMenorHoteleraFun(tempi);
        }

        function ValidarFechaMenorHotelera2()
        {
            var tempi = $("#txtFechaPronost2").val();
            return ValidarFechaMenorHoteleraFun(tempi);
        }

        function ValidarFechaMenorHoteleraFun(tempi)
        {
            if(tempi == '')
            {
                return false;
            }

            //Declare regex
            var rxDatePattern = /^(\d{1,2})(\/|-)(\d{1,2})(\/|-)(\d{4})$/;

            var dtArrayi = tempi.match(rxDatePattern); // is format OK?
            if (dtArrayi == null){
                return false;
            }
        
            var fecini   = new Date(dtArrayi[5], dtArrayi[3] - 1, dtArrayi[1]);
            var fechotel = new Date(<% Response.Write(HoteleraJS.Year); %>, <% Response.Write(HoteleraJS.Month); %> - 1, <% Response.Write(HoteleraJS.Day); %>);

            if((fecini <= fechotel))
            {
                return true;
            }
            else
            {
                return false;
            }

        }

        function Ver()
        {
            if(ValidarFechaMenorHotelera())
            { 
                //$('#dlgCargando30Min').dialog('open'); 
                window.open('Informe.aspx?r=14&y=' + $('#txtAno').val() 
                    + '&d=' + $('#cbMoneda').val() 
                    + '&f=' + $('#txtFechaPronost').val() 
                    + '&o=' + $('#cbUsuario').val()
                , "_blank"); 
            }
            else
            { 
                $('#dlgErrorHotel').dialog('open'); 
            }
        }

        function VerGFX()
        {
            if(ValidarFechaMenorHotelera())
            { 
                //$('#dlgCargando30Min').dialog('open'); 
                window.open('CHARTFrontDailyAnnual.aspx?y=' + $('#txtAno').val() 
                    + '&d=' + $('#cbMoneda').val() 
                    + '&f=' + $('#txtFechaPronost').val()
                , "_blank"); 
            }
            else
            { 
                $('#dlgErrorHotel').dialog('open'); 
            }
        }

        function VerComp()
        {
            if(ValidarFechaMenorHotelera() && ValidarFechaMenorHotelera2())
            { 
                //$('#dlgCargando30Min').dialog('open'); 
                window.open('Informe.aspx?r=14&y=' + $('#txtAno').val() 
                    + '&d=' + $('#cbMoneda').val() 
                    + '&f=' + $('#txtFechaPronost').val() 
                    + '&o=' + $('#cbUsuario').val()
                    + '&c=1'
                    + '&y2=' + $('#txtAno2').val() 
                    + '&f2=' + $('#txtFechaPronost2').val()
                , "_blank"); 
            }
            else
            { 
                $('#dlgErrorHotel').dialog('open'); 
            }
        }
    
    </script>

    <style type="text/css">
        .DailyTabla td
        {
            border: 0px solid gray;
            font-size: 12pt;    
        }
    </style>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgErrorHotel").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true,
                buttons: [ { text: "Aceptar", click: function() { $('#dlgErrorHotel').dialog('close'); } } ]
            });

            $('#cbMoneda').val(<%=c.FrontMoneda %>);

            <% if(c.AccTasa == 0){ %>

                mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMoneda', 'ComboMoneda', <% Response.Write(c.FrontMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbUsuario').val(<%=c.FrontUsuario %>);

            $('#cbDatosFront').val(<%=c.DatosFDK %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTFrontDailyAnnual.aspx">FDK - <%=L.TIT("InformeDiarioAnual") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 500px; height: 400px;">

                            <div id="dlgErrorHotel" title="Fecha mayor que la fecha hotelera" style="text-align: center;padding-top: 25px">
                                <table width="100%">
                                    <tr>
                                        <td width="100%">
                                            No pueden existir reservas con fecha de realizacion mayor a la fecha <br />que tiene el Hotel la cual es 
                                            <% 
                                                Identidad iden2 = new Identidad(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))
                                                    , Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_NOM].Value), int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_DAT].Value))
                                                    , Request.ServerVariables["REMOTE_ADDR"]);
                                            
                                                Response.Write(Seven.DSS.Globals.Tools.FechaMayusculas(String.Format("{0:dddd d 'de' MMMM 'de' yyyy}", 
                                                Seven.DSS.Business.Logica.ConsultarFechaHotelera(iden2)))); %>.
                                        </td>
                                    </tr>
                                </table>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("InformeDiarioAnual") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="#" id="A2" onclick="VerGFX();" ><img src="img/chart-up.png" /> <%=L.LBL("LblGENGrafico") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td><b>Base de Datos:</b></td>
                                    <td>
                                        <%=cbDatosFront %>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td>Moneda: </td>
                                    <td>
                                        <%=cbMoneda %>
                                    </td>
                                    <td>
                                        Usuario:
                                    </td>
                                    <td>
                                        <%=cbUsuario %>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <fieldset>

                                <table>
                                    <tr>
                                        <td>Año: </td>
                                        <td>
                                            <input type="text" id="txtAno" name="txtAno" value="<% Response.Write(c.FrontAno); %>" />
                                        </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
                                        <td>Reconstruir Pronóstico Desde: </td>
                                        <td>
                                            <input type="text" id="txtFechaPronost" name="txtFechaPronost" class="eligeFechaNoMayHotel" value="<% Response.Write(String.Format("{0:d}", c.FrontFechaPronost)); %>" />
                                        </td>
                                        <td>
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" onclick="Ver();" >
                                                            <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>

                            <br />

                            <fieldset>

                                <table>
                                    <tr>
                                        <td>Año: </td>
                                        <td>
                                            <input type="text" id="txtAno2" name="txtAno2" value="<% Response.Write(c.FrontAno2); %>" />
                                        </td>
                                    </tr>
                                </table>
                                <table>
                                    <tr>
                                        <td>Reconstruir Pronóstico Desde: </td>
                                        <td>
                                            <input type="text" id="txtFechaPronost2" name="txtFechaPronost2" class="eligeFechaNoMayHotel" value="<% Response.Write(String.Format("{0:d}", c.FrontFechaPronost2)); %>" />
                                        </td>
                                        <td>
                                            <table width="100%">
                                                <tr>
                                                    <td width="100%"></td>
                                                    <td>
                                                        <button type="button" onclick="VerComp();" >
                                                            <table><tr><td><img src="img/seven_duplicar.png" alt="Ver" /></td><td>Comparativo</td></tr></table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>

                            <br />

                            <table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        Informe que compara la estadística con el ingreso pronosticado de las reservas y rooming realizados de la fecha de reconstrucción
                                        hacia atrás. Muy útil para medir metas. No se tomarán en cuenta reservas o rooming en estado anulado para este cálculo.<br />
                                        <br />
                                        Los montos son presentados sin impuestos.<br />
                                        <br />
                                        Se puede escoger un usuario de Seven Front Desk para obtener lo facturado y pronosticado en base a las reservas,
                                        rooming list y walk-ins que haya registrado en el sistema.

                                    </td>
                                </tr>
                            </table>
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
