﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelFDK.Master" AutoEventWireup="true" CodeBehind="RPTFrontEstado.aspx.cs" Inherits="Seven.DSS.RPTFrontEstado" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title>FDK - <%=L.TIT("SituacionModulo") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function mostrarAjaxTasaMoneda(link, elem, mone) {
            $.ajax({
                type: "GET",
                url: link,
                data: { "IdMoneda": mone
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>"
                    , "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>"
                    , "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>" },
                //cache: false,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                beforeSend: function () {
                    //$("#" + elem).html("<div style='text-align: center;'><img src='img/cargando2.gif' alt='cargando' style='display: block; margin: auto; padding-top: 30px;' /></div>");
                },
                success: function (json) {
                    //var html = jQuery.parseJSON(json);
                    //$("#" + elem).html(json.d);
                    $("#txtTasa").val(json.d);
                    var tasa = parseFloat(json.d);
                    if(tasa == 1)
                    {
                        $("#txtTasa").attr('readonly','readonly');
                    }
                    else
                    {
                        $("#txtTasa").removeAttr('readonly');
                    }
                    jQueryUIOtraVez();
                }
            });
        };

        function cargarTasa(mone) {
            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaFront', 'ComboMoneda', mone);
        }

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTFrontEstado.aspx?op=' + $('#cbDatosFront').val();
        }

        function Ver() {
            $('#dlgCargando').dialog('open');
            window.location.href = 'RPTFrontEstado.aspx?s=' + $('#txtInicio').val()
                + '&f=' + $('#txtFin').val()
                + '&m=' + $('#cbMoneda').val()
                + '&t=' + $('#txtTasa').val()
                + "&fe=" + $("input[name=cbFil_id_agen]:checked").val() + "&ve=" + $('#cbEmpresa').val()
                + "&fm=" + $("input[name=cbFil_id_merc]:checked").val() + "&vm=" + $('#cbMercado').val()
                + "&ft=" + $("input[name=cbFil_id_cont]:checked").val() + "&vt=" + $('#cbContrato').val()
                + "&fk=" + $("input[name=cbFil_id_thab]:checked").val() + "&vk=" + $('#cbTipoHabi').val()
                + "&fu=" + $("input[name=cbFil_id_uhab]:checked").val() + "&vu=" + $('#cbUsoHab').val()
                + "&fq=" + $("input[name=cbFil_tipo]:checked").val() + "&vq=" + $('input[name=rbTipo]:checked').val();
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgFiltro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 270,
                width: 480,
                modal: true,
                buttons: {
                    "Ver": function () {
                        Ver();
                    },
                    "Cerrar": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $('#cbMoneda').val(<%=c.FrontMoneda %>);

            <% if (c.FrontTasa == 0)
               { %>

            mostrarAjaxTasaMoneda('Servicio.svc/ConsultarTasaMonedaFront', 'ComboMoneda', <% Response.Write(c.FrontMoneda); %>);

            <% } %>

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosFront').val(<%=c.DatosFDK %>);



        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTFrontEstado.aspx">FDK - <%=L.TIT("SituacionModulo") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="dlgFiltro" title="Filtrar" style="text-align: center; padding-top: 25px">
                <table style="text-align: left;">
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_id_agen" name="cbFil_id_agen" value="1" <% if (elemento2.Fil_id_agen)
                                                                                                        { %> checked="checked" <% } %> />
                        </td>
                        <td>Agencia:
                        </td>
                        <td>
                            <%=cbEmpresa %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_id_merc" name="cbFil_id_merc" value="1" <% if (elemento2.Fil_id_merc)
                                                                                                        { %> checked="checked" <% } %> />
                        </td>
                        <td>Mercado:
                        </td>
                        <td>
                            <%=cbMercado %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_id_cont" name="cbFil_id_cont" value="1" <% if (elemento2.Fil_id_cont)
                                                                                                        { %> checked="checked" <% } %> />
                        </td>
                        <td>Contrato:
                        </td>
                        <td>
                            <%=cbContrato %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_id_thab" name="cbFil_id_thab" value="1" <% if (elemento2.Fil_id_thab)
                                                                                                        { %> checked="checked" <% } %> />
                        </td>
                        <td>Tipo de Habitación:
                        </td>
                        <td>
                            <%=cbTipoHabi %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_id_uhab" name="cbFil_id_uhab" value="1" <% if (elemento2.Fil_id_uhab)
                                                                                                        { %> checked="checked" <% } %> />
                        </td>
                        <td>Uso de Habitación:
                        </td>
                        <td>
                            <%=cbUsoHabi %>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="checkbox" id="cbFil_tipo" name="cbFil_tipo" value="1" <% if (elemento2.Fil_tipo)
                                                                                                  { %> checked="checked" <% } %> />
                        </td>
                        <td>Ver:
                        </td>
                        <td>
                            <input type="radio" name="rbTipo" value="1" onclick="$('input[name=cbFil_tipo]').prop('checked', true);"
                                <% if (elemento2.vFil_tipo)
                                   { %> checked="checked" <% } %> />Directos
                                <input type="radio" name="rbTipo" value="0" onclick="$('input[name=cbFil_tipo]').prop('checked', true);"
                                    <% if (!elemento2.vFil_tipo)
                                       { %> checked="checked" <% } %> />Empresas
                        </td>
                    </tr>
                </table>
            </div>

            <div id="SevenInterno" style="width: 1000px; height: 1250px;">

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("SituacionModulo") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="$('#dlgFiltro').dialog('open');" id="AF">
                                                <img src="../img/funnel.png" />
                                                Filtrar
                                            </a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPInformes.aspx" id="A1">
                                                <img src="img/question.png" />
                                                Ayuda</a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td><%=L.LBL("LblBSDatos") %>: </td>
                        <td>
                            <%=cbDatosFront %>
                        </td>
                        <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTFrontEstado.aspx?op=' + $('#cbDatosFront').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                    </tr>
                </table>


                <table width="60%">
                    <%--<tr>
                                    <td>Tipo de Informe: </td>
                                    <td colspan="3">
                                        <div id="ComboExplotacionOrden"></div>
                                    </td>
                                </tr>--%>
                    <tr>
                        <td>Desde: </td>
                        <td>
                            <input type="text" id="txtInicio" name="txtInicio" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontESEXInicio)); %>" />
                        </td>
                        <td>Hasta: </td>
                        <td>
                            <input type="text" id="txtFin" name="txtFin" class="eligeFecha" value="<% Response.Write(String.Format("{0:d}", c.FrontESEXFin)); %>" />
                        </td>
                    </tr>
                    <tr>
                        <td>Moneda: </td>
                        <td>
                            <%=cbMoneda %>
                        </td>
                        <td>Tasa: </td>
                        <td>
                            <input type="text" id="txtTasa" name="txtTasa" <% if (c.FrontTasa == 1)
                                                                              { %>
                                readonly="readonly" <% } %> value="<% Response.Write(c.FrontTasa); %>" />
                        </td>
                        <td>
                            <table width="100%">
                                <tr>
                                    <td width="100%"></td>
                                    <td>
                                        <button type="button" onclick="Ver();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/magnifier16.png" alt="Ver" /></td>
                                                    <td>Ver</td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>



                <table>
                    <tr>
                        <td style="background-color: white;">
                            <asp:ScriptManager ID="ScriptManager1" runat="server">
                            </asp:ScriptManager>
                            <rsweb:ReportViewer ID="rpvReporte" runat="server" Font-Names="Verdana"
                                Font-Size="8pt" InteractiveDeviceInfos="(Colección)"
                                WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt" Width="1000px" Height="800px">
                                <LocalReport ReportPath="Reports\FrontEstado.rdlc">
                                </LocalReport>
                            </rsweb:ReportViewer>
                        </td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td style="font-size: 12pt; text-align: justify;">
                            <br />
                            La información en este reporte le dará a manera de estadística y resumida lo que sucedió en el hotel.
                                        <ul>
                                            <li><b>Generales</b>: Muestra la disponibilidad general de las habitaciones.</li>
                                            <li><b>Porciento de Ocupación</b>: Toma en cuenta el total de habitaciones, como las realmente disponibles.</li>
                                            <li><b>Clientes</b>: Muestra promedios diarios basados en la estancia y no en la cantidad de clientes (estancia es la cantidad de días que se queda
                                                <br />
                                                un huésped por ejemplo 1 huésped que se queda una semana entera genera 7 estancias).</li>
                                            <li><b>Hospedaje</b>: Suma además del ingreso de hospedaje, el rubro de paquetes como los son desayuno incluido, MAP, FAP o cualquier otro
                                                <br />
                                                paquete ya diseñado y tratado como tal en el sistema de Front Desk.</li>
                                            <li><b>Puntos de Venta</b>: Brinda el dato de cuanto fue cargado a las habitaciones o folios externos desde los punto de ventas, no confunda este
                                                <br />
                                                dato con las ventas totales de los puntos de venta.</li>
                                            <li><b>Otros Ingresos</b>: Se refiere a lo vendido en folios externos (cuentas de personas no cargadas en una habitación) y otros ingresos que son
                                                <br />
                                                conceptos no contemplados en paquetes configurados así en el sistema de Front.</li>
                                            <li><b>Total de Ingresos del Hotel</b>: Toma en cuenta estos cuadros: el total de hospedaje + Total de PV + Otros ingresos, este sería <u>el total cobrado</u>
                                                <br />
                                                desde el módulo Front Desk.</li>
                                            <li><b>Ingreso Promedio</b>: Toma en cuenta el ingreso total dividido entre la cantidad de días consultado.</li>
                                        </ul>

                        </td>
                    </tr>
                </table>
            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>
