﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvArtiPrecDif.aspx.cs" Inherits="Seven.DSS.RPTInvArtiPrecDif" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
    { %>

    <title>INV - <%=L.TIT("ArticulosPreciosDiferentes") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

    <% 

        /* 
         * 
         * Índice de Código 
         * 
         * JQ01 - Grid 
         * 
         * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
         * JS_DOC       - Funciones Javascript en Document.Ready()
         * 
         * DLG_VAR      - Diálogos Varios
         * 
         * TIT - Título
         * 
         * HH  - Hidden Hive - Almacen de datos en campos ocultos
         * 
         * B01 - Cuandro Información Principal
         * B02 - Formulario Principal OH
         * B03 - Zona Informativa 
         * 
         */

    %>

        //var HeaderTableFA  = < %=L.LBL("ArticulosPreciosDiferentes") %>;

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvArtiPrecDif.aspx?op=' + $('#cbDatosInv').val();
        }

        <% /* JQ01 */%>

        function InitializeComponentsART() {

            //Initialize Components

            //Fechas
            $("#txtFechaInicio").on('input', function () { });

            //Combo Desde
            $("#cbArticulosDesde").on('change', function () {
                if ($("#cbArticulosDesde").val() != 0) {
                    $("#txtBusquedaDesde").val((($("#cbArticulosDesde option:selected").text()).split("-")[1]).trim());
                }
                else {
                    $("#txtBusquedaDesde").val('');
                }
            });

            //Texbox Desde
            $("#txtBusquedaDesde").focus(function () { $("#txtControl").val("txtBusquedaDesde") }).on('input', function () { });

            //Combo Hasta
            $("#cbArticulosHasta").on('change', function () {
                if ($("#cbArticulosHasta").val() != 0) {
                    $("#txtBusquedaHasta").val((($("#cbArticulosHasta option:selected").text()).split("-")[1]).trim());
                }
                else {
                    $("#txtBusquedaHasta").val('');
                }
            });

            //Texbox Hasta
            $("#txtBusquedaHasta").focus(function () { $("#txtControl").val("txtBusquedaHasta") }).on('input', function () { });

            //checkbox
            $("#chbSoloArticulos").on('change', function () { });
            $("#chbResumidoGrupo").on('change', function () { });
        }

        function ValidaART(e) {
            Tecla = (document.all) ? e.keyCode : e.which;
            if (Tecla == 13) {
                //incio de busqueda
                if ($("#txtBusquedaDesde").is(":focus") && ($("#txtControl").val() == "txtBusquedaDesde") && ($("#txtBusquedaDesde").val() != '')) {
                    $("#txtArticulo").val($("#txtBusquedaDesde").val());
                    $("#txtFiltroNombre").val($("#txtBusquedaDesde").val());
                    Save();
                };
                if ($("#txtBusquedaHasta").is(":focus") && ($("#txtControl").val() == "txtBusquedaHasta") && ($("#txtBusquedaHasta").val() != '')) {
                    $("#txtArticulo").val($("#txtBusquedaHasta").val());
                    $("#txtFiltroNombre").val($("#txtBusquedaHasta").val());
                    Save();
                };

                if ($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val() != "") {
                    FiltroART();
                };
            }
        }

        function Save() {
            $('#jqgART').jqGrid('clearGridData');

            RefreshGridART();

            //$("#txtFiltroNombre").val('');

            $("#dialog-Articulo").dialog({
                //$("#jqgART").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                //position: 'center',
                close: function () {
                    if ($("#txtControl").val() == "txtBusquedaDesde" && $("#cbArticulosDesde").val() == 0) {
                        $("#txtBusquedaDesde").val($("#cbArticulosDesde option:selected").text());
                    }
                    else if ($("#txtControl").val() == "txtBusquedaDesde") {
                        $("#txtBusquedaDesde").val((($("#cbArticulosDesde option:selected").text()).split("-")[1]).trim());
                    };

                    if ($("#txtControl").val() == "txtBusquedaHasta" && $("#cbArticulosHasta").val() == 0) {
                        $("#txtBusquedaHasta").val($("#cbArticulosHasta option:selected").text());
                    }
                    else if ($("#txtControl").val() == "txtBusquedaHasta") {
                        $("#txtBusquedaHasta").val((($("#cbArticulosHasta option:selected").text()).split("-")[1]).trim());
                    };

                    $("#txtFiltroNombre").val('');

                },
                //show: {
                //    effect: "blind",
                //    duration: 200
                //},
                //hide: {
                //    effect: "explode",
                //    duration: 200
                //},
                buttons:
                    {

                        //'<%=L.LBL("LblGENSearch")%>': function () {
                        //$(this).dialog("close");
                        //},

                        '<%=L.LBL("LblFDKSSeleccionar")%>': function () {

                            var id = $("#jqgART").jqGrid('getGridParam', 'selrow');

                            if ($("#txtControl").val() == "txtBusquedaDesde") {
                                $("#cbArticulosDesde").val($('#' + id + '_fullarticode').val());
                                $("#txtBusquedaDesde").val((($("#cbArticulosDesde option:selected").text()).split("-")[1]).trim());
                                //$("#txtBusquedaDesde").prop('disabled', true);
                            };
                            if ($("#txtControl").val() == "txtBusquedaHasta") {
                                $("#cbArticulosHasta").val($('#' + id + '_fullarticode').val());
                                $("#txtBusquedaHasta").val((($("#cbArticulosHasta option:selected").text()).split("-")[1]).trim());
                                //$("#txtBusquedaHasta").prop('disabled', true);
                            };

                            $(this).dialog("close");
                        }
                    }

            });
            $("#txtArticulo").val('');
        }

        function FiltroART() {
            if ($("#txtFiltroNombre").val() != '') {
                $("#txtArticulo").val($("#txtFiltroNombre").val());
                RefreshGridART();
            }
        }

        <%/* JQ02 */%>

        <% /* Código del jqGrid para Stokarti */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetART() {
            $.ajax({
                url: 'Servicio.svc/GetArticulos_INV',
                data: {
                    "ArtBusqueda": $("#txtArticulo").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgART").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgART")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridART() {

            var lselART;
            var colMap = {};
            $("#jqgART").jqGrid({
                datatype: 'local',
                height: 255,
                width: 350,
                colNames: ['', '<%=L.LBL("LblGENCode")%>', '<%=L.LBL("LblGENDescription")%>', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [

                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fullarticode', index: 'fullarticode', width: 5, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_fami', index: 'id_fami', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'codigo', index: 'codigo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'activo', index: 'activo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'cod_aux', index: 'cod_aux', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'ctrl_exist', index: 'ctrl_exist', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'id_unme_co', index: 'id_unme_co', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_al', index: 'id_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_se', index: 'id_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_al', index: 'cant_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_se', index: 'cant_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_precio_cmp', index: 'ult_precio_cmp', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_id_mone', index: 'ult_id_mone', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_tasa', index: 'ult_tasa', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'fecha_ultima_cmp', index: 'fecha_ultima_cmp', width: 10, editable: false, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },

                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselART) && !isNaN(id)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            //$('#jqgART').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgART").jqGrid('getRowData', id);

                            $('#jqgART').jqGrid('restoreRow', lselART);

                            $('#IdSubElementART').val(ret.Id);
                        }
                        else {
                            BotonNuevoART();
                        }

                        $('#jqgART').jqGrid('editRow', id, true, EventsART);

                        lselART = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselART)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            $('#jqgART').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgART').jqGrid('saveRow', lselART);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgART").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgART').jqGrid('setSelection', id); 

                        //BotonSelectART();
                        //BotonGuardarStokarti();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgART").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementART').val()) == 0) {
                            //$('#IdSubElementART').val($("#jqgART").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgART").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgART").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgART').jqGrid('setSelection', $('#IdSubElementART').val());
                    if (parseInt($('#IdSubElementART').val()) != 0) {
                        //BotonSelectART();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgART").jqGrid('navGrid','#PaginadorStokarti',{del:false,add:false,edit:false,search:false});
            $("#bsdataART").click(function () {
                jQuery("#jqgART").jqGrid('searchGrid', { multipleSearch: true });
            });

            InitializeComponentsART();

        }

        function EventsART(id) {
            $("#" + id + "_codigo").on('input', function () { });

            $("#" + id + "_descripcion").prop("disabled", true).on('input', function () { });
            $("#" + id + "_fullarticode").prop("disabled", true).on('input', function () { });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridART() {
            $("#jqgART").jqGrid("setGridParam", { datatype: "json", datatype: GetART, loadonce: true });
            $("#jqgART").trigger("reloadGrid");
            $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=24&cad=' + $('#cbArticulosDesde').val()
                    + '&cah=' + $('#cbArticulosHasta').val()
                    + '&fi=' + $('#txtFechaInicio').val()
                    + '&rb=' + $('input[name=rbModo]:checked').val(),
                    '_blank');
        }

    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridART();

            //RefreshGridART();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
    { %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTInvArtiPrecDif.aspx">INV - <%=L.TIT("ArticulosPreciosDiferentes") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 430px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ArticulosPreciosDiferentes") %> [1.9]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/inventario/1-9-articulos-con-precio-diferente/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>
                
                <br />

                <table>
                    <tr>
                        <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                        <td>
                            <%=cbDatosInv %>
                        </td>
                    </tr>
                </table>

                <% 
                    if (CorrectoIns)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoMod)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
                    if (CorrectoEli)
                    {
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
                    if (!String.IsNullOrEmpty(ErrorMsg))
                    {
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <table id="busqueda">
                    <tr>
                        <td rowspan="2">
                            <%=L.LBL("LblGENProducto") %>&nbsp;
                        </td>
                        <td>
                            <fieldset>

                                <table>
                                    <tr>
                                        <td>

                                            <%=L.LBL("LblGENStart") %>
                                        </td>
                                        <td>

                                            <select name="cbArticulos" id="cbArticulosDesde" onchange="" style="width: 80px;">
                                                <option value="0"></option>
                                                <%
                                                    foreach (System.Data.DataRow dr in ListaArticulos.Rows)
                                                    {
                                                        Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[0].ToString() + " - " + dr[1].ToString(), false));
                                                    }
                                                %>
                                            </select>


                                            <input type="text" id="txtBusquedaDesde" name="txtBusquedaDesde" size="30" onkeypress="ValidaART(event)" />
                                            <input type="text" id="txtControl" name="txtControl" hidden="hidden" />

                                        </td>
                                    </tr>

                                    <tr>
                                        <td>

                                            <%=L.LBL("LblGENEnd") %>
                                        </td>
                                        <td>
                                            <select name="cbArticulos" id="cbArticulosHasta" onchange="" style="width: 80px;">
                                                <option value="0"></option>

                                                <%
                                                    foreach (System.Data.DataRow dr in ListaArticulos.Rows)
                                                    {
                                                        Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[0].ToString() + " - " + dr[1].ToString(), false));
                                                    }
                                                %>
                                            </select>

                                            <input type="text" id="txtBusquedaHasta" name="txtBusquedaHasta" size="30" onkeypress="ValidaART(event)" />
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td style="width: 30px">&nbsp;
                        </td>
                        <td>
                            <%=L.LBL("LblGENEnd") %> <%=L.LBL("LblGENDate") %>

                            <input type="text" id="txtFechaInicio" class="eligeFecha" name="txtFechaInicio" size="6" value="<%=fecha_hotel%>" />

                        </td>
                        <td style="width: 70px">&nbsp;
                        </td>
                        <td>
                            <fieldset>
                                <input type="radio" name="rbModo" value="0" checked="checked" id="rbProveedor" /><%=L.LBL("LblAPDProveedorArticulo")%>
                                <input type="radio" name="rbModo" value="1" id="rbArticulo" /><%=L.LBL("LblAPDArticuloProveedor")%>
                            </fieldset>
                        </td>

                    </tr>
                </table>
                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" onclick="ImprimirListado();" id="A2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <div id="dialog-Articulo" title='<%=L.LBL("LblINVCOSeleccioneProducto")%>' hidden="hidden">

                    <input type="text" id="txtFiltroNombre" name="txtFiltroNombre" size="20" onkeypress="ValidaART(event)" />

                    <button type="button" id="btnFiltro" onclick="FiltroART();">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                <td><%=L.LBL("LblGENFiltrar") %></td>
                            </tr>
                        </table>
                    </button>
                    <br />
                    <br />

                    <input type="hidden" id="IdSubElementART" value="0" />
                    <table id="jqgART"></table>

                    <input type="text" id="txtArticulo" name="txtArticulo" hidden="hidden" />
                </div>

                <table>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>
