﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvConsumos.aspx.cs" Inherits="Seven.DSS.RPTInvConsumos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>INV - <%=L.TIT("Consumos") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvConsumos.aspx?op=' + $('#cbDatosInv').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=22&i=' + $('#txtFechaInicio').val() + '&f=' + $('#txtFechaFinal').val(), '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            $('#cbDatosInv').val(<%=c.DatosINV %>);

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTInvConsumos.aspx">INV - <%=L.TIT("Consumos") %></a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 600px; height: 500px;">

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo"><%=L.TIT("Consumos") %></span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                            </table>

                            <br />

                            <table>
                                <tr>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosInv %>
                                    </td>
                                </tr>
                            </table>

                            <br />

                            <fieldset>
                                <table width="40%">
                                    <tr>
                                        <td>
                                            Desde:
                                        </td>
                                        <td>
                                            <input type="text" name="txtFechaInicio" id="txtFechaInicio" value="<% Response.Write(String.Format("{0:d}", c.InvFecha)); %>" class="eligeFecha" />
                                        </td>
                                        <td>
                                            Hasta:
                                        </td>
                                        <td>
                                            <input type="text" name="txtFechaFinal" id="txtFechaFinal" value="<% Response.Write(String.Format("{0:d}", c.InvFechaFinal)); %>" class="eligeFecha" />
                                        </td>
                                        <td>
                                            <button type="button" onclick="Ver();" >
                                                    <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                            </button>
                                        </td>
                                        <td></td>
                                    </tr>
                                </table>
                            </fieldset>

                            <br />

                            <div style="width: 100%; height: 300px; overflow-x: hidden; overflow-y: scroll;">

                                <table class="SevenMsgExito">
                                    <tr>
                                        <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                            <hr />
                                            <b>Inventario Inicial</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Muestra la existencia que tenía el artículo al cierre del día anterior al periodo solicitado. La cantidad se muestra en unidad de medida del almacén.<br />
                                            <br />
                                            <hr />
                                            <b>Entradas y Aumentos</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Muestra el total de entradas del artículo para el periodo solicitado. Los movimientos incluidos son de los tipos siguientes y que se hayan actualizado en el periodo:
                                            <ul>
                                                <li>Compras y sus reversiones.</li>
                                                <li>Entradas por traslados desde otras secciones y sus reversiones.</li>
                                                <li>Artículos obtenidos como resultado de despieces y sus reversiones.</li>
                                                <li>Ajustes por aumento y sus reversiones.</li>
                                                <li>Fijaciones de inventario por aumento.</li>
                                                <li>Artículos resultantes de los cambios de código.</li>
                                                <li>Resultados de los cambios de unidades de medida.</li>
                                                <li>Fijación de inventarios por instalación del sistema o de un nuevo almacén o sección.</li>
                                            </ul>
                                            <br />
                                            <hr />
                                            <b>Consumos</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Esta columna es el objeto de este reporte y en ella se agrupan los siguientes movimientos del artículo que se hayan actualizado en periodo seleccionado:
                                            <ul>
                                                <li>Ajustes por disminuciones y sus reversiones.</li>
                                                <li>Fijaciones de inventario por disminuciones.</li>
                                                <li>Rebajas de puntos de venta.</li>
                                                <li>Compras en almacenes o secciones, de artículos que no controlan existencias y sus reversiones.</li>
                                                <li>Compras de artículos por sección cuyas familias sean de gasto y sus reversiones.</li>
                                                <li>Compras por secciones de artículos pertenecientes a familias tipo insumo y sus reversiones.</li>
                                                <li>Artículos que se han despiezado y sus reversiones.</li>
                                                <li>Traslados hacia sección de artículos pertenecientes a familias de insumo y sus reversiones.</li>
                                            </ul>
                                            <br />
                                            <hr />
                                            <b>Disminuciones</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr />	
                                            Muestra el total de las disminuciones de existencia del artículo que no se consideren como consumos, en el almacén o sección de la entidad y que se hayan <br />
                                            actualizado dentro del periodo seleccionado. Se incluyen las siguientes operaciones:
                                            <ul>
                                                <li>Traslados hacia otras secciones y sus reversiones.</li>
                                                <li>Artículos incluidos como fuente de los cambios de código.</li>
                                                <li>Orígenes de los cambios de unidades de medida.</li>
                                            </ul>
                                            <br />
                                            <hr />
                                            <b>Inventario Final</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Es el resultado del cálculo siguiente: Inventario Inicial + Entradas y Aumentos - Consumos - Disminuciones.<br />
                                            <br />
                                            <hr />
                                            <b>Consumo Diario</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Es el resultado del cálculo Consumo / Días del Periodo.<br />
                                            <br />
                                            <hr />
                                            <b>Inventario Actual</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Muestra la existencia actual del artículo en el almacén o sección. Los valores de esta columna coinciden con la de Inventario Final en el caso que el periodo <br />
                                            solicitado termine en el día actual del almacén.<br />
                                            <br />
                                            <hr />
                                            <b>Días de Existencia</b><br />
 	 	 	 	 	 	 	 	 	 	    <hr /> 	 	 	 	 	 
                                            Es el resultado de dividir el Inventario Actual entre el Consumo Diario, dando así una previsión para el artículo, de acuerdo con el consumo para el periodo <br />
                                            solicitado, de los días que puede cubrir la existencia actual del mismo en el almacén o sección.
                                        </td>
                                    </tr>
                                </table>

                            </div>

                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
