﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvListados.aspx.cs" Inherits="Seven.DSS.RPTInvListados" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
    { %>

    <title>INV - <%=L.TIT("ListadosInventario") %></title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvListados.aspx?op=' + $('#cbDatosInv').val();
        }

        <% 

           /* 
            * 
            * Índice de Código 
            * 
            * JQ01 - Grid ALMACEN
            * JQ02 - Grid SECCION
            * JQ03 - Grid ARTICULOS
            * JQ04 - FUNCIONES VARIAS
            * 
            * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
            * JS_DOC       - Funciones Javascript en Document.Ready()
            * 
            * DLG_VAR      - Diálogos Varios
            * 
            * TIT - Título
            * 
            * HH  - Hidden Hive - Almacen de datos en campos ocultos
            * 
            * B01 - Cuandro Información Principal
            * B02 - Formulario Principal OH
            * B03 - Zona Informativa 
            * 
            */

        %>

        //var HeaderTableFA  = < %=L.LBL("ListadosInventario") %>;

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para ALMACEN */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetALM() {
            $.ajax({
                url: 'Servicio.svc/GetAlmacenGrid',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgALM").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgALM")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgALM").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridALM() {

            var lselALM;
            var colMap = {};
            $("#jqgALM").jqGrid({
                datatype: 'local',
                height: 150,
                width: 265,//212
                colNames: ['', '', '<%=L.LBL("LblINVCOAlmacen")%>', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo', index: 'codigo', width: 2, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_cto', index: 'id_cto', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'inv_cerrado', index: 'inv_cerrado', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fec_uact', index: 'fec_uact', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselALM) && !isNaN(id)) {
                            $("#jqgALM").jqGrid('delRowData', lselALM);
                            //$('#jqgALM').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgALM').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgALM").jqGrid('getRowData', id);

                            $('#jqgALM').jqGrid('restoreRow', lselALM);

                            $('#IdSubElementALM').val(ret.Id);
                        }
                        else {
                            //BotonNuevoALM();
                        }

                        //$('#jqgALM').jqGrid('editRow', id, true, EventsALM);
                        //Radios();

                        lselALM = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselALM)) {
                            $("#jqgALM").jqGrid('delRowData', lselALM);
                            $('#jqgALM').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgALM').jqGrid('saveRow', lselALM);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgALM').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgALM").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextALM').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconALM').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextALM').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconALM').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgALM').jqGrid('setSelection', id); 

                        //BotonSelectALM();
                    }
                },
                gridComplete: function () {
                    //$('#jqgTOD #ALM #jqgALM td:nth-child(1),#jqgTOD #ALM th:nth-child(1)').hide();

                    var rows = $("#jqgALM").getDataIDs();

                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementALM').val()) == 0) {
                            //$('#IdSubElementALM').val($("#jqgALM").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgALM").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgALM").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgALM').jqGrid('setSelection', $('#IdSubElementALM').val());
                    if (parseInt($('#IdSubElementALM').val()) != 0) {
                        //BotonSelectALM();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgALM").jqGrid('navGrid','#PaginadorConsumos',{del:false,add:false,edit:false,search:false});
            $("#bsdataALM").click(function () {
                jQuery("#jqgALM").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsALM(id) {
            $("#" + id + "_codigo").on('input', function () { BotonGuardarALM(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarALM(); });
            $("#" + id + "_id_cto").on('change', function () { BotonGuardarALM(); });
            $("#" + id + "_inv_cerrado").on('change', function () { BotonGuardarALM(); });
            $("#" + id + "_unico").on('input', function () { BotonGuardarALM(); });
            $("#" + id + "_fec_uact").on('input', function () { BotonGuardarALM(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridALM() {
            $("#jqgALM").jqGrid("setGridParam", { datatype: "json", datatype: GetALM, loadonce: true });
            $("#jqgALM").trigger("reloadGrid");
            $("#jqgALM").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Stoksecc */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetSEC() {
            $.ajax({
                url: 'Servicio.svc/GetSeccionGrid',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgSEC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgSEC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgSEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        InitializeComponentsLIS();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridSEC() {

            var lselSEC;
            var colMap = {};
            $("#jqgSEC").jqGrid({
                datatype: 'local',
                height: 150,
                width: 265,//212
                colNames: ['', '', '<%=L.LBL("LblINVCOSeccion")%>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo', index: 'codigo', width: 2, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_cto', index: 'id_cto', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'consecutivo_ped', index: 'consecutivo_ped', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            //{ name: 'eliminado', index: 'eliminado', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselSEC) && !isNaN(id)) {
                            $("#jqgSEC").jqGrid('delRowData', lselSEC);
                            //$('#jqgSEC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgSEC').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgSEC").jqGrid('getRowData', id);

                            $('#jqgSEC').jqGrid('restoreRow', lselSEC);

                            $('#IdSubElementSEC').val(ret.Id);
                        }
                        else {
                            //BotonNuevoSEC();
                        }

                        //$('#jqgSEC').jqGrid('editRow', id, true, EventsSEC);
                        //$('#jqgSEC').jqGrid('resetSelection');

                        //Radios();


                        lselSEC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselSEC)) {
                            $("#jqgSEC").jqGrid('delRowData', lselSEC);
                            $('#jqgSEC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgSEC').jqGrid('saveRow', lselSEC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgSEC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgSEC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextSEC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconSEC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextSEC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconSEC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgSEC').jqGrid('setSelection', id);

                        //BotonSelectSEC();
                    }
                },
                gridComplete: function () {
                    //$('#jqgTOD #SEC #jqgSEC td:nth-child(1),#jqgTOD #SEC th:nth-child(1)').hide();

                    var rows = $("#jqgSEC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementSEC').val()) == 0) {
                            //$('#IdSubElementSEC').val($("#jqgSEC").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgSEC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgSEC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgSEC').jqGrid('setSelection', $('#IdSubElementSEC').val());
                    if (parseInt($('#IdSubElementSEC').val()) != 0) {
                        //BotonSelectSEC();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgSEC").jqGrid('navGrid','#PaginadorStoksecc',{del:false,add:false,edit:false,search:false});
            $("#bsdataStoksecc").click(function () {
                jQuery("#jqgSEC").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsSEC(id) {
            $("#" + id + "_codigo").on('input', function () { BotonGuardarSEC(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarSEC(); });
            $("#" + id + "_id_cto").on('change', function () { BotonGuardarSEC(); });
            $("#" + id + "_consecutivo_ped").on('change', function () { BotonGuardarSEC(); });
            $("#" + id + "_unico").on('input', function () { BotonGuardarSEC(); });
            //$("#" + id + "_eliminado").on('change', function () { BotonGuardarSEC(); });draggableOn();
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridSEC() {
            $("#jqgSEC").jqGrid("setGridParam", { datatype: "json", datatype: GetSEC, loadonce: true });
            $("#jqgSEC").trigger("reloadGrid");
            $("#jqgSEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <%/* JQ03 */%>

        <% /* Código del jqGrid para ARTICULOS */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetART() {
            $.ajax({
                url: 'Servicio.svc/GetArticulos_INV',
                data: {
                    "ArtBusqueda": $("#txtArticulo").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgART").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgART")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridART() {

            var lselART;
            var colMap = {};
            $("#jqgART").jqGrid({
                datatype: 'local',
                height: 255,
                width: 440,
                colNames: ['', '<%=L.LBL("LblGENCode")%>', '<%=L.LBL("LblGENDescription")%>', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [

                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fullarticode', index: 'fullarticode', width: 3, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_fami', index: 'id_fami', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'codigo', index: 'codigo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'activo', index: 'activo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'cod_aux', index: 'cod_aux', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'ctrl_exist', index: 'ctrl_exist', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'id_unme_co', index: 'id_unme_co', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_al', index: 'id_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_se', index: 'id_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_al', index: 'cant_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_se', index: 'cant_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_precio_cmp', index: 'ult_precio_cmp', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_id_mone', index: 'ult_id_mone', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_tasa', index: 'ult_tasa', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'fecha_ultima_cmp', index: 'fecha_ultima_cmp', width: 10, editable: false, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },

                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselART) && !isNaN(id)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            //$('#jqgART').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgART").jqGrid('getRowData', id);

                            $('#jqgART').jqGrid('restoreRow', lselART);

                            $('#IdSubElementART').val(ret.Id);
                        }
                        else {
                            BotonNuevoART();
                        }

                        $('#jqgART').jqGrid('editRow', id, true, EventsART);

                        lselART = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselART)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            $('#jqgART').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgART').jqGrid('saveRow', lselART);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgART").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgART').jqGrid('setSelection', id); 

                        //BotonSelectART();
                        //BotonGuardarStokarti();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgART").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementART').val()) == 0) {
                            //$('#IdSubElementART').val($("#jqgART").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgART").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgART").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgART').jqGrid('setSelection', $('#IdSubElementART').val());
                    if (parseInt($('#IdSubElementART').val()) != 0) {
                        //BotonSelectART();
                    }
                    //$("#" + $('#IdSubElementART').val() + "_descripcion").prop("disabled", false);
                    //$("#" + $('#IdSubElementART').val() + "_fullarticode").prop("disabled", false);
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgART").jqGrid('navGrid','#PaginadorStokarti',{del:false,add:false,edit:false,search:false});
            $("#bsdataART").click(function () {
                jQuery("#jqgART").jqGrid('searchGrid', { multipleSearch: true });
            });
        }

        function EventsART(id) {
            $("#" + id + "_codigo").on('input', function () { });
            $("#" + id + "_descripcion").prop("disabled", true).on('input', function () { });
            $("#" + id + "_fullarticode").prop("disabled", true).on('input', function () { });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridART() {
            $("#jqgART").jqGrid("setGridParam", { datatype: "json", datatype: GetART, loadonce: true });
            $("#jqgART").trigger("reloadGrid");
            $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <%/* JQ04 */%>

        function InitializeComponentsLIS() {

            //Initialize Components

            //Radio Button
            $("#Todos").change(function () { RadiosArticulos(); RadiosArticulosSelect();});
            $("#Grupo").change(function () { RadiosArticulos(); RadiosArticulosSelect(); });
            $("#Familia").change(function () { RadiosArticulos(); RadiosArticulosSelect();});
            $("#Rango").change(function () { RadiosArticulos(); RadiosArticulosSelect();});
            //$("#rdUno").change(function () { OcultarMulti(); Radios(); });

            //Combo Grupos
            $("#cbGrupo").on('change', function () {
                $("#txtGrupo").val((($("#cbGrupo option:selected").text()).split("-")[1]).trim());
            });

            //Combo Familia
            $("#cbFamilia").on('change', function () {
                $("#txtFamilia").val((($("#cbFamilia option:selected").text()).split("-")[1]).trim());
            });

            //Combo Articulos Del
            $("#cbArticulosDel").on('change', function () {
                if ($("#cbArticulosDel").val() != 0) {
                    $("#txtBusquedaDel").val((($("#cbArticulosDel option:selected").text()).split("-")[1]).trim());
                    if ($("#cbArticulosAl").val() == 0) {
                        $("#cbArticulosAl").val($("#cbArticulosDel").val());
                        $("#txtBusquedaAl").val((($("#cbArticulosDel option:selected").text()).split("-")[1]).trim());
                    }
                }
                else {
                    $("#txtBusquedaDel").val('');
                }
            });

            //Texbox Del
            $("#txtBusquedaDel").focus(function () { $("#txtControl").val("txtBusquedaDel") }).on('input', function () { });

            //Combo Articulos Al
            $("#cbArticulosAl").on('change', function () {
                if ($("#cbArticulosAl").val() != 0) {
                    $("#txtBusquedaAl").val((($("#cbArticulosAl option:selected").text()).split("-")[1]).trim());
                }
                else {
                    $("#txtBusquedaAl").val('');
                }
            });

            //Texbox Al
            $("#txtBusquedaAl").focus(function () { $("#txtControl").val("txtBusquedaAl") }).on('input', function () { });

            //checkbox
            $("#chSoloArticulos").on('change', function () {
                if ($("#chSoloArticulos:checked").val() != 1 && $("#chExistenciaTeorica:checked").val() != 1)
                {
                    $("#chSoloArticulos").prop("checked", true);
                }
                else
                {
                    $("#chExistenciaTeorica").prop("checked", false);
                }
            });
            $("#chExistenciaTeorica").on('change', function () {
                if ($("#chSoloArticulos:checked").val() != 1 && $("#chExistenciaTeorica:checked").val() != 1) {
                    $("#chExistenciaTeorica").prop("checked", true);
                }
                else {
                    $("#chSoloArticulos").prop("checked", false);
                }
            });

            $("#chConteoArticulos").on('change', function () { $("#chValorado").prop("checked", false); CheckboxHabilitar(); });
            $("#chValorado").on('change', function () { CheckboxHabilitar(); $("#chConteoArticulos").prop("checked", false); });
            $("#chCuentas").on('change', function () { CheckboxHabilitar(); });//.prop("checked",true)

            $("#chTodoContabilidad").on('change', function () { $("#chTodoDesglosado").prop("checked", false); });
            $("#chTodoDesglosado").on('change', function () { $("#chTodoContabilidad").prop("checked", false); });

            $("#chExistenciaTeorica").prop("checked", true);
        }

        function RadiosArticulosSelect()
        {
            if ($("#Grupo:checked").val() == 1) {
                $("#txtGrupo").val((($("#cbGrupo option:selected").text()).split("-")[1]).trim());
            }
            else {
                $("#txtGrupo").val("");
            }
            
            if ($("#Familia:checked").val() == 2) {
                $("#txtFamilia").val((($("#cbFamilia option:selected").text()).split("-")[1]).trim());
            }
            else {
                $("#txtFamilia").val("");
            }
        }

        function RadiosArticulos()
        {
            if ($('input[name=rbArticulos]:checked').val() == 0) {
                $("#cbGrupo").prop("disabled", true)
                $("#cbFamilia").prop("disabled", true)
                $("#cbArticulosDel").prop("disabled", true)
                $("#txtBusquedaDel").prop("disabled", true)
                $("#cbArticulosAl").prop("disabled", true)
                $("#txtBusquedaAl").prop("disabled", true)
            }
            if ($('input[name=rbArticulos]:checked').val() == 1) {
                $("#cbGrupo").prop("disabled", false)
                $("#cbFamilia").prop("disabled", true)
                $("#cbArticulosDel").prop("disabled", true)
                $("#txtBusquedaDel").prop("disabled", true)
                $("#cbArticulosAl").prop("disabled", true)
                $("#txtBusquedaAl").prop("disabled", true)
            }
            if ($('input[name=rbArticulos]:checked').val() == 2) {
                $("#cbGrupo").prop("disabled", true)
                $("#cbFamilia").prop("disabled", false)
                $("#cbArticulosDel").prop("disabled", true)
                $("#txtBusquedaDel").prop("disabled", true)
                $("#cbArticulosAl").prop("disabled", true)
                $("#txtBusquedaAl").prop("disabled", true)
            }
            if ($('input[name=rbArticulos]:checked').val() == 3) {
                $("#cbGrupo").prop("disabled", true)
                $("#cbFamilia").prop("disabled", true)
                $("#cbArticulosDel").prop("disabled", false)
                $("#txtBusquedaDel").prop("disabled", false)
                $("#cbArticulosAl").prop("disabled", false)
                $("#txtBusquedaAl").prop("disabled", false)
            }
            
        }

        function CheckboxHabilitar()
        {
            if ($("#chValorado:checked").val() != 1)
            {
                $("#chCuentas").prop("disabled", true)
                $("#chCuentas").prop("checked", false)
                $("#chTodoContabilidad").prop("checked", false)
                $("#chTodoDesglosado").prop("checked", false)
            }
            else
            {
                $("#chCuentas").prop("disabled", false)
                //$("#chConteoArticulos").prop("checked", false)
            }
            if ($("#chCuentas:checked").val() != 1)
            {
                $("#chTodoContabilidad").prop("disabled", true)
                $("#chTodoDesglosado").prop("disabled", true)
                $("#chTodoContabilidad").prop("checked", false)
                $("#chTodoDesglosado").prop("checked", false)
            }
            else
            {
                $("#chTodoContabilidad").prop("disabled", false)
                $("#chTodoDesglosado").prop("disabled", false)
            }
        }

        function ValidaART(e) {
            Tecla = (document.all) ? e.keyCode : e.which;
            if (Tecla == 13) {
                //incio de busqueda
                if ($("#txtBusquedaDel").is(":focus") && ($("#txtBusquedaDel").val() != '')) {
                    $("#txtArticulo").val($("#txtBusquedaDel").val());
                    $("#txtFiltroNombre").val($("#txtBusquedaDel").val());
                    Save();
                };
                if ($("#txtBusquedaAl").is(":focus") && ($("#txtControl").val() == "txtBusquedaAl") && ($("#txtBusquedaAl").val() != '')) {
                    $("#txtArticulo").val($("#txtBusquedaAl").val());
                    $("#txtFiltroNombre").val($("#txtBusquedaAl").val());
                    Save();
                };

                if ($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val() != "") 
                {
                    FiltroART();
                };
            }
        }

        function Save() {
            $('#jqgART').jqGrid('clearGridData');

            RefreshGridART();

            $("#dialog-Articulo").dialog({
                //$("#jqgART").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                close: function () {

                    if ($("#txtControl").val() == "txtBusquedaDel" && $("#cbArticulosDel").val() == 0) {
                        $("#txtBusquedaDel").val($("#cbArticulosDel option:selected").text());
                    }
                    else if ($("#txtControl").val() == "txtBusquedaDel") {
                        $("#txtBusquedaDel").val((($("#cbArticulosDel option:selected").text()).split("-")[1]).trim());
                    };

                    if ($("#txtControl").val() == "txtBusquedaAl" && $("#cbArticulosAl").val() == 0) {
                        $("#txtBusquedaAl").val($("#cbArticulosAl option:selected").text());
                    }
                    else if ($("#txtControl").val() == "txtBusquedaAl") {
                        $("#txtBusquedaAl").val((($("#cbArticulosAl option:selected").text()).split("-")[1]).trim());
                    };
                    $("#txtFiltroNombre").val('');

                },
                buttons:
                    {

                        //'< %=L.LBL("LblGENSearch")%>': function () {
                        //$(this).dialog("close");
                        //},

                        '<%=L.LBL("LblFDKSSeleccionar")%>': function () {

                    var id = $("#jqgART").jqGrid('getGridParam', 'selrow');

                    if ($("#txtControl").val() == "txtBusquedaDel") {
                        $("#cbArticulosDel").val($('#' + id + '_fullarticode').val());
                        $("#txtBusquedaDel").val((($("#cbArticulosDel option:selected").text()).split("-")[1]).trim());
                        if($("#cbArticulosAl").val() == 0)
                        {
                            $("#cbArticulosAl").val($('#' + id + '_fullarticode').val());
                            $("#txtBusquedaAl").val((($("#cbArticulosDel option:selected").text()).split("-")[1]).trim());
                        }
                    };
                    if ($("#txtControl").val() == "txtBusquedaAl") {
                        $("#cbArticulosAl").val($('#' + id + '_fullarticode').val());
                        $("#txtBusquedaAl").val((($("#cbArticulosAl option:selected").text()).split("-")[1]).trim());
                    };
                    $(this).dialog("close");
                }
                    }

            });
        $("#txtArticulo").val('');
    }

    function FiltroART() {
        if ($("#txtFiltroNombre").val() != '') {
            $("#txtArticulo").val($("#txtFiltroNombre").val());
            RefreshGridART();
        }
    }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=4100&alm=' + $("#jqgALM").jqGrid('getGridParam', 'selarrrow').toString()
                + '&sec=' + $("#jqgSEC").jqGrid('getGridParam', 'selarrrow').toString()
                + '&rba=' + $('input[name=rbArticulos]:checked').val()
                + '&cg=' + $('#cbGrupo').val()
                + '&cf=' + $('#cbFamilia').val()
                + '&cad=' + $('#cbArticulosDel').val()
                + '&caa=' + $('#cbArticulosAl').val()
                + '&sa=' + $('#chSoloArticulos:checked').val()
                + '&ext=' + $('#chExistenciaTeorica:checked').val()
                + '&ca=' + $('#chConteoArticulos:checked').val()
                + '&v=' + $('#chValorado:checked').val()
                + '&c=' + $('#chCuentas:checked').val()
                + '&tc=' + $('#chTodoContabilidad:checked').val()
                + '&td=' + $('#chTodoDesglosado:checked').val()
                + '&rbo=' + $('input[name=rbOrdenar]:checked').val(),
                    '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridALM();
            LoadGridSEC();

            LoadGridART();

            RefreshGridALM();
            RefreshGridSEC();

            RadiosArticulos();
            CheckboxHabilitar();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
    { %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTInvListados.aspx">INV - <%=L.TIT("ListadosInventario") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 545px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ListadosInventario") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="Ayuda/HLPInformes.aspx" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                        <td>
                            <%=cbDatosInv %>
                        </td>
                    </tr>
                </table>

                <br />

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <table id="jqgTOD">
                    <tr>
                        <td id="ALM">
                            <input type="hidden" id="IdSubElementALM" value="0" />
                            <table id="jqgALM"></table>
                        </td>
                        <td id="SEC">
                            <input type="hidden" id="IdSubElementSEC" value="0" />
                            <table id="jqgSEC"></table>

                        </td>
                    </tr>
                </table>

                <br />


                <table>
                    <tr>
                        <td>
                            <fieldset>
                                <legend><b><%=L.LBL("LblGENArticulos") %></b></legend>
                                <table>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Todos" name="rbArticulos" checked="checked" value="0" />
                                            <%=L.LBL("LblGENAll") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Grupo" name="rbArticulos" value="1" />
                                            <%=L.LBL("LblGENGroup") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Familia" name="rbArticulos" value="2" />
                                            <%=L.LBL("LblGENFamily") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Rango" name="rbArticulos" value="3" />
                                            <%=L.LBL("LblFDKRango") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="height: 20px">&nbsp;
                                            <%--<input type="radio" id="uno" name="rbArticulos" value="4" />
                                            <%=L.LBL("Uno") %>--%>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                    <td>
                                        <select name="cbGrupo" id="cbGrupo" onchange="" style="width: 80px;">
                                            <%--<option value="0"></option>--%>
                                            <%
                                                foreach (System.Data.DataRow dr in ListaGrupos.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - &nbsp;&nbsp;&nbsp;&nbsp;" + dr[2].ToString(), false));
                                                }
                                            %>
                                        </select>
                                        <input type="text" id="txtGrupo" name="txtGrupo" disabled="disabled" style="border: none; background: none" />
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                    <td>
                                        <select name="cbFamilia" id="cbFamilia" onchange="" style="width: 80px;">
                                            <%--<option value="0"></option>--%>

                                            <%
                                                foreach (System.Data.DataRow dr in ListaFamilia.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - &nbsp;&nbsp;&nbsp;&nbsp;" + dr[2].ToString(), false));
                                                }
                                            %>
                                        </select>
                                        <input type="text" id="txtFamilia" name="txtFamilia" disabled="disabled" style="border: none; background: none" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%=L.LBL("LblGENDel") %> <%--<input type="text" id="labelDel" name="labelDel" maxlength="12" style="width:30%"/>--%>
                                    </td>
                                    <td>
                                        <select name="cbArticulosDel" id="cbArticulosDel" onchange="" style="width: 80px;">
                                            <option value="0"></option>

                                            <%
                                                foreach (System.Data.DataRow dr in ListaArticulos.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[0].ToString() + " -  " + dr[1].ToString(), false));
                                                }
                                            %>
                                        </select>
                                        <input type="text" id="txtBusquedaDel" name="txtBusquedaDel" style="width: 340px;" onkeypress="ValidaART(event)" />
                                        <input type="text" id="txtControl" name="txtControl" hidden="hidden" />

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%=L.LBL("LblGENAl") %> <%--<input type="text" id="labelAl" name="labelAl" maxlength="12" style="width:30%"/>--%>
                                    </td>
                                    <td>
                                        <select name="cbArticulosAl" id="cbArticulosAl" onchange="" style="width: 80px;">
                                            <option value="0"></option>

                                            <%
                                                foreach (System.Data.DataRow dr in ListaArticulos.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[0].ToString() + " - " + dr[1].ToString(), false));
                                                }
                                            %>
                                        </select>
                                        <input type="text" id="txtBusquedaAl" name="txtBusquedaAl" style="width: 340px;" onkeypress="ValidaART(event)" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                &nbsp;
                <table>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td colspan="2">
                                        <input type="checkbox" id="chSoloArticulos" name="chSoloArticulos" value="1" />
                                        <%=L.LBL("LblLISINVListarSoloArticulosExistencia") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="chConteoArticulos" name="chConteoArticulos" value="1" />
                                        <%=L.LBL("LblLISINVConteoArticulos") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="chValorado" name="chValorado" value="1" />
                                        <%=L.LBL("LblLISINVValorado") %>

                                        <input type="checkbox" id="chCuentas" name="chCuentas" value="1" />
                                        <%=L.LBL("LblLISINVPorCuentas") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="chExistenciaTeorica" name="chExistenciaTeorica" value="1" />
                                        <%=L.LBL("LblLISINVListarExistenciaTeorica") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="chTodoContabilidad" name="chTodoContabilidad" value="1" />
                                        <%=L.LBL("LblLISINVTodoContabilidad") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <input type="checkbox" id="chTodoDesglosado" name="chTodoDesglosado" value="1" />
                                        <%=L.LBL("LblLISINVTodoDesglosado") %>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td style="width: 25px"></td>
                                    <td>
                                        <fieldset>
                                            <legend><b><%=L.LBL("LblGENOrderBy") %></b></legend>
                                            <table>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbOrdenar" value="0" checked="checked" id="rdCodigoArticulo" />
                                                        <%=L.LBL("LblLISINVCodigoArticulo") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbOrdenar" value="1" id="rdDescripcionArticulo" />
                                                        <%=L.LBL("LblLISINVDescripcionArticulo") %>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="radio" name="rbOrdenar" value="2" id="rdUbicacionArticulo" />
                                                        <%=L.LBL("LblLISINVUbicacionArticulo") %>
                                                    </td>
                                                </tr>
                                            </table>

                                        </fieldset>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>



                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" onclick="ImprimirListado();" id="A2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <div id="dialog-Articulo" title='<%=L.LBL("LblINVCOSeleccioneProducto")%>' hidden="hidden">

                    <input type="text" id="txtFiltroNombre" name="txtFiltroNombre" size="40" onkeypress="ValidaART(event)" />

                    <button type="button" id="btnFiltro" onclick="FiltroART();">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                <td><%=L.LBL("LblGENFiltrar") %></td>
                            </tr>
                        </table>
                    </button>
                    <br />
                    <br />

                    <input type="hidden" id="IdSubElementART" value="0" />
                    <table id="jqgART"></table>

                    <input type="text" id="txtArticulo" name="txtArticulo" hidden="hidden" />
                </div>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>
