﻿<% @Import Namespace="Seven.DSS" %>
<% @Import Namespace="Seven.DSS.Business" %>
<% @Import Namespace="Seven.DSS.Globals" %>
<% @Import Namespace="Seven.DSS.Objects" %>
<%@ Page Language="C#" MasterPageFile="ModelPOS.Master" AutoEventWireup="true" CodeBehind="RPTPosFactCerrDetClie.aspx.cs" Inherits="Seven.DSS.RPTPosFactCerrDetClie" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=11.0.0.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try{ %>

    <title>POS - Facturas Cerradas Detallado por Clientes</title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTPosFactCerrDetClie.aspx?op=' + $('#cbDatosPos').val();
        }

        function Ver()
        {
            window.open('Informe.aspx?r=31' 
                + '&p=' + $('#cbPOS').val() 
                + '&s=' + $('#txtFecIni').val() 
                + '&f=' + $('#txtFecFin').val()
                + "&c=" + $('#cbMoneda').val()
                + "&t=" + $('#txtTasa').val()
            , '_blank');
        }

        function CargarTasa()
        {
            $('#txtTasa').val($('#HID_MO_tasa_' + $('#cbMoneda').val()).val())
        }
    
    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $('#cbFamiPOS').val(<%=c.PosFamilia %>);
            $('#cbPOS').val(<%=c.Pos %>);

            $('#cbDatosPos').val(<%=c.DatosPOS %>);

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $("#EnlaceMaestro").focus();

            CargarTasa();

        });

    </script>

    <style type="text/css">
        .NoScroll div
        {
            overflow: hidden;    
        }
    </style>
        
    <% } catch { } %>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try{ %>

                <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>
            
                <div id="SevenBreadcrumb" class="ui-state-default">
                    <table style="width: 100%; white-space: nowrap;">
                        <tr>
                            <td>
                                <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/application-icon-large.png" />
                                            </td>
                                            <td>
                                                <%=Seven.DSS.L.LBL("LblGENMenuTactil") %>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                                <img src="img/arrow.png" alt="" />
                                <a href="RPTPosFactCerrDetClie.aspx">POS - Facturas Cerradas Detallado por Clientes</a>
                            </td>
                            <td style="width: 100%;"></td>
                            <td>
                                <%=L.LBL("LblGENLanguage") %>
                            </td>
                            <td>
                                <!-- #include file="LanguageCombo.html" -->
                            </td>
                        </tr>
                    </table>
                </div>
            
                <div id="SevenPrincipal">
                
                    <div id="SevenMedio">
                    
                        <div id="SevenInterno" style="width: 450px; height: 250px;">

                            <div id="HiddenHive">
                                <div id="hidMonedas">
                                    <%=hidMonedas %>
                                </div>
                            </div>

                            <table>
                                <tr>
                                    <td>
                                        <span class="SevenTitulo">Facturas Cerradas Detallado por Clientes</span>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;</td>
                                    <td>
                                        <div class="SevenEnlaces">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <a href="Ayuda/HLPInformes.aspx" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>

                            <table>
                                <tr>
                                    <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                                    <td>
                                        <%=cbDatosPos %>
                                    </td>
                                    <!--
                                    <td>
                                        <button type="button" onclick="window.location.href='RPTPosFactCerrDetClie.aspx?op=' + $('#cbDatosPos').val();">
                                            <table><tr><td><img src="img/database-gold.png" alt="Base de Datos" /></td><td>Cambiar</td></tr></table>
                                        </button>
                                    </td>
                                    -->
                                </tr>
                            </table>

                            <br />

                            <fieldset>
                            
                                <table>
                                    <tr>
                                        <td>Punto de Venta:</td>
                                        <td colspan="3">
                                            <%=cbPOS %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Moneda:</td>
                                        <td>
                                            <%=cbMoneda %>
                                        </td>
                                        <td>Tipo de Cambio:</td>
                                        <td>
                                            <input type="text" id="txtTasa" value="<%=string.Format("{0:N8}", 1) %>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>

                            <br />

                            <table style="width: 100%;">
                                <tr>
                                    <td>Inicio: </td>
                                    <td>
                                        <input type="text" id="txtFecIni" name="txtFecIni" class="eligeFecha" 
                                            style="width: 100px;" value="<% Response.Write(String.Format("{0:d}", c.PosInicio)); %>" />
                                    </td>
                                    <td>Fin: </td>
                                    <td>
                                        <input type="text" id="txtFecFin" name="txtFecFin" class="eligeFecha" 
                                            style="width: 100px;" value="<% Response.Write(String.Format("{0:d}", c.PosFin)); %>" />
                                    </td>
                                    <td>
                                        <table style="width: 100%;">
                                            <tr>
                                                <td style="width: 100%;"></td>
                                                <td>
                                                    <button type="button" onclick="Ver();" >
                                                        <table><tr><td><img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td><td><%=L.LBL("LblGENVer") %></td></tr></table>
                                                    </button>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                
                            </table>

                            <br />

                            <%--<table class="SevenMsgExito">
                                <tr>
                                    <td style="font-size: 10pt; text-align: justify; white-space: normal; padding: 5px;">
                                        <b>Totalizado - [S.E.] - Sin Enlazar</b>: En el reporte de ventas totalizado, las agrupaciones que lleven la leyenda [S.E.],<br /> 
                                        refiere a que existieron ventas de familias, que no están enlazadas al punto de ventas en este momento.
                                    </td>
                                </tr>
                            </table>--%>

                            
                  
                        </div>
                    
                    </div>
                
                </div>

    <% } catch { } %>

</asp:Content>
